		RELEASE NOTES

				深町 賢一

refer しそこなかったらごめんなさい _o_

注: 1999/07/03 以降分については CHANGES を参照して下さい。

The original author and the maintainer is Ken'ichi Fukamachi
<fukachan@fml.org>. 

* the main library includes the following contribution as a standard.

   library			Author
   -------------------------------------------------------------
   src/libtraffic.pl          Yuao TANIGAWA <yuao@infonia.or.jp>
   src/libmember_name.pl      Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

   ContentHanlder()           <t-nakano@imasy.or.jp>
   (within src/libdisthack.pl) 

* I use the following MIME library in standard libraries

   src/mime*                  c1977@crcsn82.mdc.crc.co.jp (Noboru Ikuta)

* and also fml packages includes the following famous library for convenience.

   src/jcode.pl               Kazumasa Utashiro <utashiro@iij.ad.jp>

* On documents, the most important "help" file is upgraded by

			umura@nn.solan.chubu.ac.jp
			metalman@kt.rim.or.jp
			fukachan@sapporo.iij.ad.jp

  and "FILES" is maintained by Hiroshi NAKATA <hnakata@cc.gunma-u.ac.jp>.

* contrib/ includes other contributions which must be referred
hereafter in this document.

* A lot of patches and contributions are referred hereafter in this
document. Thanks to a lot of contributors.

** Lastly in the first development stage, I am grateful to
tsubai@iri.co.jp (tsubai@phys.titech.ac.jp) for fruitful discussion on
the design and implementation of Mailing List server, perl, operating
systems and so on.

********** UNTIL 1999/07/02 *************

Date:    Fri, 2 Jul 1999 03:36:36 +0900
Thanks to: OGAWA Kunihiko <kuni@edit.ne.jp>
In fml-support ML's Count: 06412

libexpire.pl patch

---------------------------------------
Date:    Mon, 28 Jun 1999 20:45:36 +0900
Thanks to: Koji Sudo <koji@cherry.or.jp>
In fml-support ML's Count: 06384

fix @DenyProcedure 'make secure' does.

------------------------------------------
Date:    Thu, 24 Jun 1999 17:58:05 +0900
Thanks to: Atushi Sakauchi <sakauchi@micon.co.jp>
In fml-support ML's Count: 06368

patch to fix libcrosspost.pl

------------------------------------------
Date:    Sat, 5 Jun 1999 18:42:15 +0900
Thanks to: Mikage Sawatari (Taku Sano) <mikage@mikage.to>
In fml-support ML's Count: 06249

VERPs

pipelining flow control based on this idea (but not use this idea)

------------------------------------------
Date:    Fri, 28 May 1999 16:25:36 +0900
Thanks to: <t-nakano@ccs.mt.nec.co.jp>
In fml-support ML's Count: 06230

special filter for each multipart block

&ContentHandler();
&ADD_CONTENT_HANDLER();

see fml-support ML articles for more details. For example, 
6229 6230 6233 6234 6235 6242 6243 6244 6245 6246 6247 6248 6253 6257
6263 6265 6270 6276 6313 6314 6331 6332 6333 6346 6348 6349 6350 6374
6379 6381 6393 6396 6397 6408 ...

------------------------------------------
Date:    Sat, 15 May 1999 15:49:34 +0900
Thanks to: Hiroshi Kokubo <kokubo@okisoft.co.jp>
In fml-support ML's Count: 06219

patch for $AGAINST_MAIL_WITHOUT_REFERENCE

------------------------------------------
Date:    Thu, 13 May 1999 21:08:33 +0900
Thanks to: Ritsu Seo <rseo@osa.att.ne.jp>
In fml-support ML's Count: 06216

document typo

------------------------------------------
Date:    Thu, 13 May 1999 13:49:22 +0900
Thanks to: AOKI Tetsuo <aoki@crl.go.jp>

document typo

---------------------------------------------

Date:    Tue, 6 Apr 1999 00:02:37 +0900
Thanks to: Tomoyuki Asakawa <tomoyuki@poison.marimo.or.jp>
In fml-support ML's Count: 06076

Date:    Wed, 7 Apr 1999 23:35:05 +0900
In fml-support ML's Count: 06088

patch to etc/mgrdomains

---------------------------------------
Date:    Fri, 2 Apr 1999 23:40:15 +0900
Thanks to: Koji Sudo <koji@cherry.or.jp>
In fml-support ML's Count: 06047

patch of more_secure_cf.pl

------------------------------------------
Date:    Wed, 31 Mar 1999 16:09:00 +0900
Thanks to: Yoshihiro Kawashima <katino@kyushu.iij.ad.jp>

thanks katino for virus research.
I wrote libvirus.pl based on this research.

------------------------------------------
Date:    Wed, 31 Mar 1999 13:53:06 +0900
Thanks to: Ristu Seo <rseo@osa.att.ne.jp>
In fml-support ML's Count: 06039

modify Makefile to apply translate.pl members-name

------------------------------------------
Date:    Thu, 25 Feb 1999 11:08:33 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 05923

Date:    Fri, 26 Feb 1999 23:45:38 +0900
Thanks to: OGAWA Kunihiko <kuni@edit.ne.jp>
In fml-support ML's Count: 05935

idea
	change &Debug() debug output at debug level
	Configurable file to output

------------------------------------------
Date:    Mon, 22 Feb 1999 23:51:04 +0900
Thanks to: Yutaka KAWASE <yutaka@mailhost.net>
In fml-support ML's Count: 05900

modify MTI warn message :)

------------------------------------------
Date:    Fri, 19 Feb 1999 09:38:25 +0900
Thanks to: Kuniaki Kondo <kuniaki@iij.ad.jp>

outgoing hack test. thanks 

	Kuniaki Kondo
	Masato Minda

------------------------------------------
Date:    Wed, 17 Feb 1999 13:06:43 +0900
Thanks to: Yuao Tanigawa <yuao@infonia.ne.jp>
In fml-support ML's Count: 05863

bin/multipart.pl 
happy99 rejction patch

---------------------------------------------

Date:    Wed, 17 Feb 1999 13:06:43 +0900
Thanks to: Yuao Tanigawa <yuao@infonia.ne.jp>
In fml-support ML's Count: 05863

bin/multipart.pl happy99 patch

---------------------------------------
Date:    Mon, 25 Jan 1999 00:29:36 +0900
Thanks to: Takashi Waniishi <wani@kt.rim.or.jp>
In fml-support ML's Count: 05765

bug fix libsmtp.pl

------------------------------------------
Date:    Sat, 23 Jan 1999 17:53:35 +0900
Thanks to: "Y.Watanabe" <yuw@t3.rim.or.jp>
In fml-support ML's Count: 05762

fix fop and 1153 library based on this

------------------------------------------
Date:    Mon, 11 Jan 1999 15:35:05 +0900
Thanks to: watanabe@xxir10.ls.noda.sut.ac.jp (Y.Watanabe)
In fml-support ML's Count: 05692

based on this idea, define "timeout" option in 'makefml lock ML timeout'.

------------------------------------------
Date:    Sat, 9 Jan 1999 22:22:45 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 05678

patch for makefml chaddr bug

------------------------------------------
Date:    Sat, 9 Jan 1999 22:20:37 +0900
In fml-support ML's Count: 05671

mead.pl -k option

------------------------------------------
Date:    Tue, 15 Dec 1998 18:16:34 +0900
Thanks to: MURATA Nobuhiro <nob@makioka.y-min.or.jp>
In fml-support ML's Count: 05608

not use but bug fix libsynchtml following this hint

------------------------------------------
Date:    Tue, 8 Dec 1998 23:27:17 +0900
Thanks to: chisaka@upu.wlw.co.jp
In fml-support ML's Count: 05580

trace makefml SMTP check bug 

Date:    Tue, 15 Dec 1998 18:12:35 +0900
Thanks to: Yuao Tanigawa <yuao@infonia.or.jp>
In fml-support ML's Count: 05607

bug fix makefml smtp check

------------------------------------------
Date:    Tue, 8 Dec 1998 22:37:36 +0900
Thanks to: OGAWA Kunihiko <kuni@edit.ne.jp>
In fml-support ML's Count: 05579

patch for html generation

------------------------------------------
Date:    Mon, 7 Dec 1998 18:29:05 +0900
Thanks to: Hiroaki Suda <u-dash@nurs.or.jp>
In fml-support ML's Count: 05565

doc typo 

------------------------------------------
Date:    Fri, 27 Nov 1998 16:22:35 +0900
Thanks to: Toshiyuki Nakano <t-nakano@spls87.ccs.mt.nec.co.jp>
In fml-support ML's Count: 05525

patch doc typo

------------------------------------------
Date:    Wed, 18 Nov 1998 23:47:39 +0900
Thanks to: HIROSE Masaaki <hirose31@t3.rim.or.jp>
In fml-support ML's Count: 05493

MTI patch

------------------------------------------
Date:    Thu, 12 Nov 1998 16:09:04 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 05460

change confirm message

------------------------------------------
Date:    Mon, 26 Oct 1998 00:07:41 +0900
Thanks to: MakotoYokoi <yokoi@rsc.or.jp>
In fml-support ML's Count: 05366

fix typo

------------------------------------------
Date:    Mon, 19 Oct 1998 15:36:04 +0900
Thanks to: t-nakano@ccs.mt.nec.co.jp (=?ISO-2022-JP?B?GyRCQ2ZMbklSOVQbKEIv?=
	 =?ISO-2022-JP?B?VG9zaGl5dWtp?= Nakano)
In fml-support ML's Count: 05331

bug fix: liblibrary patch

------------------------------------------
Date:    Wed, 7 Oct 1998 20:37:04 +0900
Thanks to: Akihiro KAYAMA <kayama@personal-media.co.jp>
In fml-support ML's Count: 00215
X-UIDL:  605f6c0bb1c56f949286c523d31afa61

fix typo in member_name.wix

------------------------------------------
Date:    Wed, 7 Oct 1998 11:51:33 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 05253

analyze ModeBifurcate() bug 

------------------------------------------
Date:    Mon, 5 Oct 1998 11:33:34 +0900
Thanks to: Hiroaki Suda <u-dash@nurs.or.jp>
In fml-support ML's Count: 05239

fix typo of $REJECT_ADDR

------------------------------------------
Date:    Sat, 3 Oct 1998 16:01:06 +0900
In fml-support ML's Count: 05182
In fml-support ML's Count: 05221

"subscribe" five way hand shake when manual registration

------------------------------------------
Date:    Fri, 2 Oct 1998 16:37:04 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 05214

"makefml chaddr" patch

------------------------------------------
Date:    Mon, 21 Sep 1998 15:21:35 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 05148

libamctl patch

Date:    Mon, 21 Sep 1998 18:43:06 +0900
In fml-support ML's Count: 05150

Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
check patch again

------------------------------------------
Date:    Thu, 10 Sep 1998 11:07:06 +0900
Following  OGAWA Kunihiko <kuni@edit.ne.jp>
In fml-support ML's Count: 05110

"makefml newml" checks the existence the ml to be created now

------------------------------------------
Date:    Thu, 3 Sep 1998 11:26:35 +0900
Following  Tomoyuki Asakawa <tomoyuki@poison.marimo.or.jp>
In fml-support ML's Count: 05094

add $(PWD) to $DIR/Makefile spool2html rule.
reconfigure a menu html around 

------------------------------------------
Date:    Wed, 2 Sep 1998 09:32:35 +0900
In fml-support ML's Count: 05089

add FreeBSD, OpenBSD to ignore setgid.

------------------------------------------
Date:    Wed, 2 Sep 1998 02:34:05 +0900
Thanks to: Hideyuki Suzuki <hideyuki@sat.t.u-tokyo.ac.jp>
In fml-support ML's Count: 05088

follogin this, makefml; add FreeBSD,Openbsd to avoid setgid bit

------------------------------------------
Date:    Tue, 1 Sep 1998 06:24:35 +0900
Thanks to: fml-admin@ffs.fml.org
In fml-support ML's Count: 05075

patch in crypt FreeBSD case (CRYPT CASE)

Date:    Tue, 1 Sep 1998 12:27:07 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 05077

verfied the patch (DES CASE)

------------------------------------------
Date:    Sat, 29 Aug 1998 22:18:34 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 05068

fix typo  (sub CacheMessageId)

------------------------------------------
Date:    Tue, 25 Aug 1998 18:40:37 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 05058

add Blame* around on sendmail (INSTALL.wix)

---------------------------------------
Date:    Thu, 13 Aug 1998 23:48:07 +0900
Thanks to: Hiroaki Suda <u-dash@nurs.or.jp>
In fml-support ML's Count: 04972

modify pattern match for libamctl.pl, libmember_name.pl

---------------------------------------
Date:    Wed, 12 Aug 1998 20:53:18 +0900 (JST)
Thanks to: Hiroshi NAKATA <hnakata@cc.gunma-u.ac.jp>

documents patch
FILES.jp for fml 2.2

------------------------------------------
Date:    Mon, 10 Aug 1998 15:01:34 +0900
Thanks to: Hiroaki Suda <u-dash@nurs.or.jp>
In fml-support ML's Count: 04946

patch to bug fix makefml

------------------------------------------
Date:    Sun, 9 Aug 1998 23:27:06 +0900
In fml-support ML's Count: 04938

2.2_BETA PHASE sets in

------------------------------------------
Date:    Fri, 7 Aug 1998 10:14:05 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04931

patch fml.pl's Date:

------------------------------------------
Date:    Thu, 6 Aug 1998 13:14:05 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 04926

fix typo; include-mead

------------------------------------------
Date:    Wed, 5 Aug 1998 11:31:35 +0900
Thanks to: Hiroaki Suda <u-dash@nurs.or.jp>
In fml-support ML's Count: 04923

fix typo ; fml.pl install.wix

---------------------------------------------

Date:    Sat, 1 Aug 1998 23:53:05 +0900
Thanks to: Hiroaki Suda <u-dash@nurs.or.jp>
In fml-support ML's Count: 04902

fix document typo

---------------------------------------
Date:    Fri, 17 Jul 1998 14:42:34 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 04820

fix typo filter.wix mead.wix

------------------------------------------
Date:    Thu, 16 Jul 1998 11:27:03 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 04808

following this, mead creates absolute path's examples. 

------------------------------------------
Date:    Fri, 3 Jul 1998 12:05:04 +0900
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 04753

bug fix libarchive.pl import function

------------------------------------------
Date:    Thu, 2 Jul 1998 20:28:34 +0900
Thanks to: NAKAMURA Kouzi <sleepy@tuna.array.co.jp>
In fml-support ML's Count: 04751

fix $CPU_TYPE_MANUFACTURER_OS match condition

------------------------------------------
Date:    Thu, 2 Jul 1998 13:46:34 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04750

bug fix &COPY_FIELD();

fix typo fml.pl

------------------------------------------
Date:    Sun, 28 Jun 1998 00:46:44 +0900 (JST)
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

remove unused functions in &DoSetMemberList().

------------------------------------------
Date:    Sat, 27 Jun 1998 21:18:04 +0900
Thanks to: i16@imasy.or.jp (=?ISO-2022-JP?B?GyRCTlMhITAmMGxPOhsoQg==?=)
In fml-support ML's Count: 04706

fix confirm id generator to avoid e+\d+ syntax evaluation.

------------------------------------------
Date:    Wed, 24 Jun 1998 14:40:21 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

elaborate patch of libamctl.pl, mainly be "chaddr" more secure.

------------------------------------------
Date:    Wed, 24 Jun 1998 11:56:34 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04690

remove "addr" command description from help file.
bug fix %Procedure in libfml.pl

------------------------------------------
Date:    Sun, 21 Jun 1998 00:50:52 +0900
Thanks to: NAKANO Masashi <nakano@airnet.ne.jp>

fix typo of INSTALL.wix

------------------------------------------

Date:    Thu, 4 Jun 1998 16:00:13 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04564

patch for &COPY_FIELDS().

---------------------------------------
Date:    Wed, 3 Jun 1998 21:56:33 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04559

Following this, change &DELETE_FIELD() specification which is changed
to "delete tields irrespective of the value of
$PASS_ALL_FIELDS_IN_HEADER.

------------------------------------------
Date:    Tue, 2 Jun 1998 11:28:33 +0900
Thanks to: ssk@pfu.co.jp
In fml-support ML's Count: 04554

service tool to control fml on control panel on NT4.

http://member.nifty.ne.jp/~ssk/download.html

------------------------------------------
Date:    Mon, 1 Jun 1998 23:54:04 +0900
Thanks to: Takuro KITAME / =?ISO-2022-JP?B?GyRCS0xMXBsoQiAbJEJCc086GyhC?=
	 <kitame@northeye.com>
In fml-support ML's Count: 04551

add Precedence: in mail from msend.pl

------------------------------------------
Date:    Tue, 26 May 1998 21:19:03 +0900
Thanks to: Masaki Ikeda <masaki@orange.co.jp>
In fml-support ML's Count: 04508

libsynchtml.pl bug

------------------------------------------
Date:    Sat, 23 May 1998 00:43:03 +0900
Thanks to: KOYAMA Youichi <koyama@kuis.kyoto-u.ac.jp>
In fml-support ML's Count: 04471

following this, libnntp.pl sends MODE READER before main routine.

------------------------------------------
Date:    Thu, 14 May 1998 16:56:02 +0900
Thanks to: Mamoru Takeuchi <take@psrc.isac.co.jp>
In fml-support ML's Count: 04402

fix ntfml bug to detect OS in NT4 case

------------------------------------------
Date:    Thu, 7 May 1998 23:21:02 +0900
Thanks to: "UENO Kazuaki" <kazua-u@auaua.ml.org>
In fml-support ML's Count: 04366

following this, fix libsynchtml.pl special charactor conversion bug

------------------------------------------
Date:    Fri, 1 May 1998 14:01:02 +0900
Thanks to: kuni@edit.ne.jp (OGAWA Kunihiko)
In fml-support ML's Count: 04354

makefml patch to fix Lock() call bug

------------------------------------------
Date:    Mon, 13 Apr 1998 19:53:02 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04205

patch for cf/config

------------------------------------------
Date:    Mon, 13 Apr 1998 02:12:39 +0900
In fml-support ML's Count: 04200

add makefml command as follows

	makefml off	ML	address
	makefml on	ML	address
	makefml chaddr	ML	old-addr new-addr
	makefml matome	ML	address 引数 
	makefml skip	ML	address

------------------------------------------
Date:    Mon, 6 Apr 1998 15:16:32 +0900
Thanks to: Mamoru Takeuchi <take@psrc.isac.co.jp>
In fml-support ML's Count: 04166

patch to fix ntfml.pl's perl path

------------------------------------------
Date:    Mon, 6 Apr 1998 14:50:05 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04165

msend.pl -q fix patch

------------------------------------------
Date:    Fri, 3 Apr 1998 20:35:33 +0900
Thanks to: TAMURA Kent <kent@hauN.org>
In fml-support ML's Count: 04153

HTML 4.0 and CSS patch

------------------------------------------
Date:    Tue, 24 Mar 1998 11:37:37 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 04108

libnewmember_name.pl upgrade

------------------------------------------
Date:    Sat, 21 Mar 1998 01:52:34 +0900
Thanks to: mike@cradle.titech.ac.jp (Satoru FUJITANI)
In fml-support ML's Count: 04086

patch for spool21html

------------------------------------------
Date:    Thu, 19 Mar 1998 19:41:32 +0900
Thanks to: Wataru Nagata <nagata@tarts.tech-arts.co.jp>
In fml-support ML's Count: 04080

Message-ID cache bug

---------------------------------------
Date:    Thu, 12 Mar 1998 09:18:02 +0900
In fml-support ML's Count: 04020

bug fix makefml example generation for qmail
We should not create examples for qmail/assign/users on NT.

---------------------------------------
Date:    Sat, 7 Mar 1998 20:30:22 +0900
In fml-support ML's Count: 04002

admin members 
admin actives 

change arguments of &Admin* functions to enable the function to call
user functions defined as user commands.

------------------------------------------
Date:    Wed, 4 Mar 1998 08:50:40 +0900
In fml-support ML's Count: 03979

re-check in arch/WINDOWS_NT4/bootstrap (0 byte! check in miss?)

------------------------------------------
Date:    Mon, 23 Feb 1998 10:29:33 +0900
Thanks to: Hisaaki Shibata <shibata@opost1.netspace.or.jp>
In fml-support ML's Count: 03927

send back warning for "matome 0" request when not spooing

------------------------------------------
Date:    Sat, 14 Feb 1998 23:25:03 +0900
In fml-support ML's Count: 03886

>      * 2.1B
>	デフォルトでこれらの変数(2.1Aではテスト)を
>	    $MIME_EXT_TEST = 1;
>	    $FOP_HACK = 1;
>	    $USE_MTI_TEST = 1;
>	ON にしています(この三箇所以外は 2.1A#45 と同じ)。
>
>いずれも将来消そうと思っている変数を ON にした状態(変数を消したら 1 の
>状態にするつもりの設定)でテストしたいとおもいます。
>
>2.1A は MTI が目標だったので、そろそろ締めたい。
>2.1B #2 かもちょっとあとあたりで confirmd が import される予定です(謎)
>2.1B のメインは confirmd です。

------------------------------------------
Date:    Sun, 25 Jan 1998 01:34:03 +0900
In fml-support ML's Count: 03782

fix a hook of EvnelopeFilter

---------------------------------------------
Date:    Mon, 19 Jan 1998 20:53:35 +0900
In fml-support ML's Count: 03731

in fml-support ML's Count:03730 
thanks to Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

typo ARLM

---------------------------------------
Date:    Mon, 19 Jan 1998 17:50:05 +0900
Thanks to: Masahiro Umegaki <ume@st.rim.or.jp>
In fml-support ML's Count: 03725

bug of makefml on NT case.

------------------------------------------
Date:    Mon, 19 Jan 1998 15:11:32 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 03720

patch for makefml GetTime() bug

------------------------------------------
Date:    Fri, 16 Jan 1998 18:51:32 +0900
Thanks to: Masahiro Umegaki <ume@st.rim.or.jp>
In fml-support ML's Count: 03706

following this, ntfml.pl is changed back to sleep in for loop.

------------------------------------------
Date:    Thu, 15 Jan 1998 12:33:34 +0900
Thanks to: Masahiro Umegaki <ume@st.rim.or.jp>
In fml-support ML's Count: 03690

patch of popfml.pl

------------------------------------------
Date:    Thu, 15 Jan 1998 02:10:35 +0900
In fml-support ML's Count: 03687

MTI release

------------------------------------------
Date:    Mon, 12 Jan 1998 16:27:03 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 03674

patch of makefml (permission)

------------------------------------------
Date:    Thu, 08 Jan 1998 23:04:46 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

Date:    Fri, 09 Jan 1998 21:58:50 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

contrib/localhack/release-2/member_name/

>    member_name/patch/fml.pl.patch      : fml.pl へのパッチ
>    member_name/patch/libamctl.pl.patch : libamctl.pl へのパッチ
>    member_name/src/libmember_name.pl   : libmember_name.pl 本体
>    member_name/readme.euc              : 簡易ドキュメント (EUCコード)

------------------------------------------
Date:    Thu, 8 Jan 1998 13:14:03 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 03652

patch of libamctl.pl

------------------------------------------
Date:    Tue, 06 Jan 1998 23:55:53 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

bug of %ExtProcedure
a lack of %ExtAdminProcedure
modify &SecureP

------------------------------------------
Date:    Tue, 6 Jan 1998 23:12:33 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 03650

bug fix libamctl.pl ($AUTO_REGISTRATION_LIMIT)

------------------------------------------
Date:    Tue, 30 Dec 1997 23:57:32 +0900
Thanks to: HYOUDOH <hyoudo@kcn.or.jp>
In fml-support ML's Count: 03634

fix typo of documents

------------------------------------------
Date:    Tue, 30 Dec 1997 02:00:55 +0900
Thanks to: Fumitaka Murayama <fm@nn.solan.chubu.ac.jp>

contrib/localhack/release-2/mnews

------------------------------------------
Date:    Sat, 20 Dec 1997 21:43:34 +0900
In fml-support ML's Count: 03615

buf fix SendFile3

------------------------------------------
Date:    Sat, 20 Dec 1997 19:49:33 +0900
Thanks to: Masaaki Hirono <hirono@highway.or.jp>
In fml-support ML's Count: 03614

bug fix EnvelopeFilter

------------------------------------------
Date:    Sat, 20 Dec 1997 10:53:33 +0900
In fml-support ML's Count: 03610

fix libmoderated.pl typo

------------------------------------------
Date:    Sun, 14 Dec 1997 21:52:02 +0900
In fml-support ML's Count: 03569

add $MAX_MEMBER_LIMIT
add filtering (EnvelopeFilter)

---------------------------------------
Date:    Sat, 6 Dec 97 16:02:35 +0900
In fml-support ML's Count: 03525

bug fix Lines:

---------------------------------------
Date:    Thu, 4 Dec 97 19:15:03 +0900
Thanks to: Fumitoshi UKAI <ukai@jp.hpl.hp.com>
In fml-support ML's Count: 03518

patch of gen_summary.pl

------------------------------------------
Date:    Mon, 1 Dec 97 21:54:34 +0900
Thanks to: Fumitoshi UKAI <ukai@jp.hpl.hp.com>
In fml-support ML's Count: 03506

bug fix makefml pgp code

------------------------------------------
Date:    Mon, 1 Dec 97 11:25:03 +0900
Thanks to: Tomoyuki Asakawa <tomoyuki@poison.marimo.or.jp>
In fml-support ML's Count: 03502

bug fix around confirmation codes to recognize .*confirm id.* sequence
e.g. the case of "> confirm .."

------------------------------------------
Date:    Sat, 29 Nov 97 05:29:04 +0900
Thanks to: Kaz Ohwaki <k@yt.com>
In fml-support ML's Count: 03486

add effective code when  $PERMIT_COMMAND_FROM  = "moderator";

------------------------------------------
Date:    Mon, 24 Nov 97 10:52:33 +0900
Thanks to: Hideto Sakaguchi <saka@rikuden.co.jp>
In fml-support ML's Count: 03478

patch of libra.pl

------------------------------------------
Date:    Sun, 23 Nov 1997 01:56:29 +0900
Thanks to: Fumitaka Murayama <fm@nn.solan.chubu.ac.jp>

new help.example2

------------------------------------------
Date:    Sat, 22 Nov 97 13:05:02 +0900
In fml-support ML's Count: 03474

in fml-support ML's Count:03467 
following Kawabe Takayuki <kawabe@kescriv.kj.yamagata-u.ac.jp> 

remove debug code of ntfml (hard IO)

------------------------------------------
Date:    Wed, 19 Nov 97 23:39:03 +0900
Thanks to: Manami TSUBOI <tsuboi@po.across.or.jp>
In fml-support ML's Count: 03451

following the patch, add links to top index

------------------------------------------
Date:    Mon, 17 Nov 97 16:40:35 JST
Thanks to: oota toshiya <oota@pes.com1.fc.nec.co.jp>
In fml-support ML's Count: 03441

patch to use crypt() on FreeBSD

------------------------------------------
Date:    Mon, 17 Nov 97 00:04:33 JST
Thanks to: Masaaki Hirono <hirono@highway.or.jp>
In fml-support ML's Count: 03440

bug fix libMIME.pl Q Encoding bug

------------------------------------------
Date:    Thu, 13 Nov 97 14:36:33 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 03434

fix log file permission (makefml bug)

------------------------------------------
Date:    Mon, 10 Nov 97 21:37:33 JST
In fml-support ML's Count: 03410

downgraded ntfml (pop version)

------------------------------------------
Date:    Mon, 10 Nov 97 18:36:33 JST
Thanks to: Masaki Ikeda <masaki@orange.co.jp>
In fml-support ML's Count: 03409

add spool2html and config to Makefile
fix typo of doc/op

------------------------------------------
Date:    Mon, 10 Nov 97 12:26:03 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 03405

thanks to libsynchtml.pl debug info

------------------------------------------
Date:    Mon, 3 Nov 97 22:27:04 JST
In fml-support ML's Count: 03378

add description on moderator to INSTALL* and op*

------------------------------------------
Date:    Mon, 3 Nov 97 00:12:03 JST
In fml-support ML's Count: 03371

change msend.pl. if -q, it does not show newsyslog message.

------------------------------------------
Date:    Sun, 2 Nov 97 15:13:03 JST
In fml-support ML's Count: 03368

fix @sp, %sp in libfop

------------------------------------------
Date:    Thu, 30 Oct 97 00:43:03 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 03363

remove debug message
bug fix number handling of cf/config (-1 -> -1, not "-1");

------------------------------------------
Date:    Mon, 27 Oct 97 00:54:34 JST
In fml-support ML's Count: 03343

>てなわけでDistributionのドキュメント群の中をサーチするURLを作ってみた
>あるよ
>
>	http://www.fml.org/fml/search-j.html (Japanese のものたち)
>	http://www.fml.org/fml/search-e.html (English のものたち)
>
>深町＠甘辛しゃんにはまっている

------------------------------------------
Date:    Sun, 26 Oct 97 18:07:03 JST
Thanks to: Masaaki Hirono <hirono@highway.or.jp>
In fml-support ML's Count: 03342

patch of fop (file number limit restriction bug)

------------------------------------------
Date:    Thu, 23 Oct 1997 22:54:13 +0900

define $FLd as "@Fld"

------------------------------------------
Date:    Mon, 13 Oct 97 21:38:02 JST
Thanks to: Takashi Yokoyama <yoko@galaxy.imasy.or.jp>
In fml-support ML's Count: 03292

fix order in cf/MANIFEST

------------------------------------------
Date:    Sat, 11 Oct 97 19:35:32 JST
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>
In fml-support ML's Count: 03286

fix to avoide errors refered on http://sariel.miyako.co.jp/~mine/fml/.

------------------------------------------
Date:    Mon, 06 Oct 1997 21:28:58 +0900
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>

------------------------------------------
Date:    Sun, 5 Oct 97 23:51:37 JST
In fml-support ML's Count: 03274

fix popfml.pl, to "remove [\r\n]"

------------------------------------------
Date:    Sun, 5 Oct 97 22:16:34 JST
In fml-support ML's Count: 03271

change passwd.pl , which can run without -I

------------------------------------------
Date:    Wed, 1 Oct 97 16:40:35 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 03234

path of bug fix reverse order of libysnchtml.pl 

------------------------------------------
Date:    Thu, 18 Sep 97 23:44:04 JST
Thanks to: Fumitaka Murayama <fm@nn.solan.chubu.ac.jp>
In fml-support ML's Count: 03202

bug fix typo

------------------------------------------
Date:    Wed, 10 Sep 97 00:30:12 JST
In fml-support ML's Count: 03152

fix trap_counter

------------------------------------------
Date:    Wed, 10 Sep 97 00:23:03 JST
In fml-support ML's Count: 03151

fix sort fucntions of file operationgs ("mget")
add dup check in archiving

------------------------------------------
Date:    Tue, 9 Sep 97 22:05:04 JST
In fml-support ML's Count: 03148

fix fmlserv commands 
	fmlserv.pl
	libamctl.pl
	libconfirm.pl

------------------------------------------
Date:    Mon, 8 Sep 97 17:21:00 JST
Thanks to: "Masahiko Iwamoto" <iwamoto@mtc.telcom.oki.co.jp>
In fml-support ML's Count: 03127

"matome 0" mechanism bug

------------------------------------------
Date:    Fri, 5 Sep 97 12:14:02 JST
Thanks to: Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>
In fml-support ML's Count: 03100

bug fix trap_counter

------------------------------------------
Date:    Mon, 1 Sep 97 21:58:04 JST
Thanks to: urat@first.tsukuba.ac.jp (Yutaka Uratochi)
In fml-support ML's Count: 03088

------------------------------------------
Date:    Thu, 28 Aug 97 15:10:18 JST
Thanks to: Masaaki Hirono <hirono@highway.or.jp>
In fml-support ML's Count: 03077

patch for makefml

------------------------------------------
Date:    Thu, 28 Aug 1997 19:47:08 +0900 (JST)
Thanks to: urat@first.tsukuba.ac.jp (Yutaka Uratochi)

fix doc/INSTALL

------------------------------------------
Date:    17 Aug 1997 18:34:27 GMT
Thanks to: fukachan@sapporo.iij.ad.jp (Ken'ichi Fukamachi)
Newsgroups: fj.sources
Distribution: world
NNTP-Posting-Host: eve.sapporo.iij.ad.jp

fml 2.1 release 

   ftp://ftp.iij.ad.jp/pub/IIJ/dist/fukachan/fml/fml-2.1.tar.gz

------------------------------------------
Date:    Wed, 13 Aug 97 23:00:05 JST
Thanks to: Ritsu Seo <seo@osk.threewebnet.or.jp>
In fml-support ML's Count: 03046

bug fix INSTALL

------------------------------------------
Date:    Tue, 12 Aug 1997 22:36:35 +0900 (JST)
Thanks to: Hiroshi NAKATA <hnakata@cc.gunma-u.ac.jp>

update doc/FILES

------------------------------------------
Date:    Tue, 12 Aug 97 12:47:02 JST
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>
In fml-support ML's Count: 03045

>Subject: Re: "Secure Alert" mail. 
>in fml-support ML's Count:03027 
>Kenichi Makino <makino@odi.epson.co.jp> さん  wrote:
>>    &Mesg(*e, ">>> $_\n\tCommand Syntax Error: without ^#") if !/^\#/;
>>    &Mesg(*e, ">>> $_\n\tCommand Syntax Error: expect \"# English-word\"")
>>        if /^\#\W*/;
>
>FIX

add $MAIL_LIST_ACCEPT_COMMAND 
modify cf/MANIFEST and doc/ri/INSTALL.wix
remove obsolete $Permit{'ra:req:passwd'} _o_ 

------------------------------------------
Date:    Mon, 11 Aug 97 23:51:00 JST
Thanks to: HYODO Takashi <hyodo@integra.co.jp>
In fml-support ML's Count: 03044

bug fix libra.pl

------------------------------------------
Date:    Thu, 7 Aug 97 23:12:02 JST
In fml-support ML's Count: 03030

$MAIL_LIST_ACCEPT_COMMAND

------------------------------------------
Date:    Thu, 7 Aug 97 11:20:03 JST
Thanks to: Kenichi Makino <makino@odi.epson.co.jp>
In fml-support ML's Count: 03027

change fix warning message condition in &Command()

------------------------------------------
Date:    Wed, 6 Aug 97 22:29:03 JST
In fml-support ML's Count: 03023

change &Command() statements to check whether invalid commands or not

   if $COMMAND_ONLY_SERVER (--ctladdrではセットされてない)
	あらゆる - # あらゆる
   fi

   if input not match "# [A-Za-z0-9_]+" 
	if $USE_WARNING
		warning => ユーザー
	else 
		無視して次へゴーゴー
	fi
   fi

   # よってここではすでに "# [A-Za-z0-9_]+" format のはず
   &SecureP	チェック

------------------------------------------
Date:    Wed, 6 Aug 97 19:15:17 JST
In fml-support ML's Count: 03022

Toward 2.1 Release

	document の細かい修正
	こまかい bug fix をしました。
	明らかな UNIX 依存コードを少し修正
	architecture dependent code は sys/arch/OSごと/依存コード へ

		* NT4 ports
		makefml ベースインストーラー
		new process scheduler on NT based on Win32::Process
		INSTALL_on_NT4 の修正
		doc/html/INSTALL_on_NT4/ ブランチを入れました。

	config.ph が cf より新しい時は manual edit したとみなして
	warning 

あと ftp や www から ntfml を消去しました
＃同じソースを使うのでもぉ分離している必要はない

bug fix PGP_PATH

------------------------------------------
Date:    Wed, 6 Aug 97 18:03:03 JST
Thanks to: Yoshito Takeuchi <kinchan@axio.co.jp>
In fml-support ML's Count: 03021

bug fix "makefml config " operation mis-handles $AUTO_REGISTRATION_TYPE
(fix etc/makefml/menu.conf)

------------------------------------------
Date:    Wed, 6 Aug 97 11:53:17 JST
Thanks to: Ryosuke OISHI <oru@tsudanuma.org>
In fml-support ML's Count: 03019

bug fix backward compatible codes in libcompat_cf2.pl
# subscribe under CFVersion 2, 

------------------------------------------
Date:    Tue, 5 Aug 97 11:48:02 JST
Thanks to: yogi@flavono.tis.co.jp (Yogi George)
In fml-support ML's Count: 03017

------------------------------------------
Date:    Sat, 2 Aug 97 21:01:03 JST
Thanks to: Masaaki Hirono <hirono@highway.or.jp>
In fml-support ML's Count: 03014

bug fix @LIBDIR in msedn.pl

------------------------------------------
Date:    Thu, 7 Aug 97 15:01:00 JST
Thanks to: Kenichi Makino <makino@odi.epson.co.jp>
In fml-support ML's Count: 03028

add $MAIL_LIST_ACCEPT_COMMAND for backward compatibility

------------------------------------------
Date:    Thu, 7 Aug 97 11:20:03 JST
Thanks to: Kenichi Makino <makino@odi.epson.co.jp>
In fml-support ML's Count: 03027

typo libfml.pl

------------------------------------------
Date:    Wed, 6 Aug 97 19:15:17 JST
In fml-support ML's Count: 03022

2.1 RELEASE にむけて

	document の細かい修正
	こまかい bug fix をしました。
	明らかな UNIX 依存コードを少し修正
	architecture dependent code は sys/arch/OSごと/依存コード へ

		* NT4 ports
		makefml ベースインストーラー
		new process scheduler on NT based on Win32::Process
		INSTALL_on_NT4 の修正
		doc/html/INSTALL_on_NT4/ ブランチを入れました。

	config.ph が cf より新しい時は manual edit したとみなして
	warning 

あと ftp や www から ntfml を消去しました
＃同じソースを使うのでもぉ分離している必要はない

------------------------------------------
Date:    Wed, 6 Aug 97 18:03:03 JST
Thanks to: Yoshito Takeuchi <kinchan@axio.co.jp>
In fml-support ML's Count: 03021

fix etc/makefml/menu.conf

------------------------------------------
Date:    Wed, 6 Aug 97 11:53:17 JST
Thanks to: Ryosuke OISHI <oru@tsudanuma.org>
In fml-support ML's Count: 03019

patch to libcompat_cf2.pl

------------------------------------------
Date:    Sat, 2 Aug 97 21:01:03 JST
Thanks to: Masaaki Hirono <hirono@highway.or.jp>
In fml-support ML's Count: 03014

patch to msend.pl arguments scan bug

------------------------------------------
Date:    Fri, 1 Aug 97 12:35:17 JST
Thanks to: Kenichi Makino <makino@odi.epson.co.jp>
In fml-support ML's Count: 03007

remove debug code of librfc1153.pl

------------------------------------------
Date:    Tue, 29 Jul 97 20:52:02 JST
Thanks to: Kenichi Makino <makino@odi.epson.co.jp>
In fml-support ML's Count: 02995

fix libfml.pl &SecureP code and the around

------------------------------------------
Date:    Wed, 23 Jul 97 16:45:05 JST
Thanks to: Hiroaki Suda <u-dash@nurs.or.jp>
In fml-support ML's Count: 02952

buf fix cf/MANIFEST Section Order

------------------------------------------
Date:    Wed, 23 Jul 97 00:54:03 JST
In fml-support ML's Count: 02942

FML 2.1 GAMMA -> DELTA の変数間の変換テーブル
＃う〜ん、この自動登録って説明がむつかしいかな…

基本的に同じ役割をする別の変数が必ずあるので、変換テーブルが書けます。
↓ようは libcompat_cf2.pl の中身です($CFVersion < 3 の時に呼ばれる変換
ルーチン)。
＃削除されている変数は duplicated してる変数なので 3 では使わない
＃version が3以下なら、libcompat_cf2 が version 3 の変数へ変換する。

■ makefml 

これに従い makefml config のテーブル等が書きなおされています。
なので INSTALL ファイルもかなり違います(やることは同じ)。 

■ 配送モード

15.2	アクセス制御のポリシー

FML 2.1 (config.ph の CFVersion が 3)では 

	$PERMIT_POST_FROM
	$REJECT_POST_HANDLER
	$PERMIT_COMMAND_FROM
	$REJECT_COMMAND_HANDLER

という4つの変数がアクセス制御の鍵を握っています。また自動登録をするか
否か?もアクセス制御の一部としてこれらの変数で制御されます。それぞれの
意味は

   $PERMIT_POST_FROM		だれからの投稿を許すか?
   $REJECT_POST_HANDLER		メンバー以外からの投稿があったらどうするか?
   $PERMIT_COMMAND_FROM		だれからのコマンドを許すか?
   $REJECT_COMMAND_HANDLER	メンバー以外からのコマンドが来たらどうするか?

です。ありえる設定は

   [だれから？]

	anyone			だれでもOK
	members_only		 ML のメンバーのみ
	moderator		モデレーターのみ

   [HANDLERの種類]
	reject			許否 (deny というファイルが送り返される)
	auto_regist		自動登録
	ignore			無視 

＊ HANDLER はいずれの場合も管理者へメールでの報告はいきます。

デフォルトの ML サーバの挙動は

	メンバーのみ(members_only) 投稿/コマンドの使用 が可能
	もしメンバー以外から来たら許否(reject)

です。つまり config.ph で

（デフォルト）

	$MAIL_LIST                     = "elena\@$DOMAINNAME";
	$PERMIT_POST_FROM              = "members_only";
	$REJECT_POST_HANDLER           = "reject";

	$CONTROL_ADDRESS               = "elena-ctl\@$DOMAINNAME";
	$PERMIT_COMMAND_FROM           = "members_only";
	$REJECT_COMMAND_HANDLER        = "reject";

のようになっています(elena MLの場合)。

○ &DEFINE_MODE の変換テーブル

    'post=anyone'          → ($PERMIT_POST_FROM = "anyone");
    'post=members_only'    → ($PERMIT_POST_FROM = "members_only");
    'post=moderated'       → ($PERMIT_POST_FROM = "moderator");
    'command=anyone'       → ($PERMIT_COMMAND_FROM = "anyone");
    'command=members_only' → ($PERMIT_COMMAND_FROM = "members_only");
    'artype=confirm'       → ($AUTO_REGISTRATION_TYPE = "confirmation");

■ 自動登録

15.3	自動登録とアクセス制御
See also: 19 

自動登録は

	"投稿がメンバーだけ"(members_only)の場合に
	もしメンバー以外から来たら自動登録 → auto_regist へ変更

という設定をすることで行ないます(makefmlで制御できます)。config.ph 中
では

	$MAIL_LIST                     = "elena\@$DOMAINNAME";
	$PERMIT_POST_FROM              = "members_only";
	$REJECT_POST_HANDLER           = "reject";

	$CONTROL_ADDRESS               = "elena-ctl\@$DOMAINNAME";
	$PERMIT_COMMAND_FROM           = "members_only";
注意→	$REJECT_COMMAND_HANDLER        = "auto_regist";

のようになることです。この場合はメンバー以外の人が

	投稿した場合		→	許否(メンバーでないというメールが返る)

	コマンド用のアドレスへメール
				→	自動登録

のような動きをします。

	$REJECT_POST_HANDLER           = "auto_regist";

にすれば「投稿用のアドレスにメンバー以外からメールが来たら自動登録」に
することもできます。

○ $ML_MEMBER_CHECK = 0; は

	    $REJECT_POST_HANDLER    = "auto_regist";
	    $REJECT_COMMAND_HANDLER = "auto_regist";

   と解釈する

○ $REQUIRE_SUBSCRIBE →     $AUTO_REGISTRATION_KEYWORD

○ $REQUIRE_SUBSCRIBE →
		$AUTO_REGISTRATION_TYPE = "subject";

○ $REQUIRE_SUBSCRIBE かつ $REQUIRE_SUBSCRIBE_IN_BODY →

		$AUTO_REGISTRATION_TYPE = "body";

○ デフォルトは

	$AUTO_REGISTRATION_TYPE = "no-keyword";

■ リモート管理

	$REMOTE_ADMINISTRATION = 1; なのは同じ
	タイプの設定は	$REMOTE_ADMINISTRATION_AUTH_TYPE へ

○ $REMOTE_ADMINISTRATION_REQUIRE_PASSWORD = 1 →

	    $REMOTE_ADMINISTRATION_AUTH_TYPE = "crypt";

○ REMOTE_ADMINISTRATION_REQUIRE_PASSWORD = 0 →

	    $REMOTE_ADMINISTRATION_AUTH_TYPE = "address";

○ $USE_MD5	→

	    $REMOTE_ADMINISTRATION_AUTH_TYPE = "md5";

■ まとめ送り

$MGET_SUBJECT_TEMPLATE の導入
$MSEND_MODE_DEFAULT への一元化

○ $USE_RFC1153_DIGEST もしくは 
	$USE_RFC1153 → $MSEND_MODE_DEFAULT = "rfc1153";

○ $USE_RFC934	→ $MSEND_MODE_DEFAULT = "rfc934";

○ $NOT_USE_NEWSYSLOG → $MSEND_NOT_USE_NEWSYSLOG

○ $NOT_SHOW_DOCMODE  → $MGET_SUBJECT_TEMPLATE の編集

■ コマンドその他

○ $Permit{'command'} →    $PERMIT_COMMAND_FROM = "anyone";

○ $PROHIBIT_COMMAND_FOR_STRANGER → $PERMIT_COMMAND_FROM = "members_only";

■ 削除

	$USE_LIBMIME
	$AGAINST_NIFTY
	$RPG_ML_FORM_FLAG
	$HML_FORM_LONG_ID
	$SUN_OS_413
	$NOT_SHOW_DOCMODE

■ 内部変数へ

	$ML_MEMBER_CHECK

------------------------------------------
Date:    Wed, 23 Jul 97 00:31:05 JST
In fml-support ML's Count: 02941

というわけで、2.1 DELTA も docuemnts 等の細かい修正まで一通り終って実
際に running をずっとしてます。
＃これでいいなら基本的に DELTA == RELEASE になります。
＃ documents とかはまだ細かい修正は必要だろう…

@*.fml.org は全部昔の config.ph で走らせてるので昔とおなじ風に動いてる
と思います。

注意点として(ちょっと説明が難しいけど) $CFVersion 3 の config.ph では

   『$MAIL_LIST と $CONTROL_ADDRESS が違う場合の $MAIL_LIST の挙動』

のところの互換性がありません。
＃ version 3 でも 
＃ if ($MAIL_LIST == $CONTROL_ADDRESS) なら前と同じなんだけど…

以下解説は doc/op より抜粋
＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿＿

3.3	互換性について

FML では config.ph という設定ファイルが振る舞いを決めます。
config.ph にも version という概念があります。

	$CFVersion

という変数で指定されています。現在の version は 3 です。version が異な
る場合、ほとんどの変数について自動的に補正が加えられ昔作った config.ph 
をそのまま使っても大丈夫なようになっています。

config.ph でちょっと複雑な HOOK を書けている場合はちょっと注意がいるで
しょう。というのはHOOKで使う関数や変数等が今でもサポートされているとは
限らないからです。

できるだけ互換性を保つように作られています。ただ 

    config.ph の $CFVersion が 3

で、なおかつ

   『$MAIL_LIST と $CONTROL_ADDRESS が違う場合の $MAIL_LIST の挙動』

の時は従来と異なり『配送専用』です。ここだけは互換性がありません。しか
し

	$MAIL_LIST と $CONTROL_ADDRESS が同じ場合は
	昔と同じで配送用のアドレス $MAIL_LIST で
	コマンド(# command の形)を受け付けます。

従来 $MAIL_LIST != $CONTROL_ADDRESS の場合にヘッダやHELP等では「コマン
ドは $CONTROL_ADDRESS へ送ってね」と書いてあるにも関わらず $MAIL_LIST 
でもコマンドは受けられたという変な挙動がありました。これを互換性と解釈
するかバグと解釈するかは微妙ですが、FML 2.1 のアクセス制御ルールの導入
時に上記の解釈になりました。

______________________________________________________
[比較表]

	elena		配送専用
	elena-ctl	コマンドだけ

になります。2.1 リリース以前(2.1 Gamma series)では 

	elena		配送もコマンドも処理する
	elena-ctl	コマンドだけ

のように振る舞いました。elena でのコマンドの「配送とコマンドの切り分け」
はメール本文が"# command"であるか？否か？で決めています。

2.1 でも配送用とコマンド用のアドレスが同じ場合は

	elena		配送もコマンドも処理する

になります。この場合「コマンドなのか？否か？はメール本文が"# command"
であるか？否か？」で決まります。これがもともとの hml 1.6 互換のスタイ
ルです。
______________________________________________________

3.4	補正ライブラリのダイナミック・ローディング

cf/config という生成コマンドで作るようになった時 $CFVersion = 2; とい
う version が与えられました。さらに、それ以前の手動編集のみだった時代
の config.ph を使っている場合は 1 と定義されています。

	$COMPAT_CF1 = 1;

がセットされているか $CFVersion が２より小さい場合は自動的に

	libcompat_cf1.pl

が dynamic loading されます。また 3 以下と判定された場合は

	libcompat_cf2.pl

が自動的にローディングされます。

------------------------------------------
Date:    Tue, 1 Jul 97 12:36:18 JST
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>
In fml-support ML's Count: 02878

1	config.ph CFVersion 3 について

backward compatibility のため CFVersion 3 以前の config.ph を使って 
CFVersion 3 の fml.pl を使う場合の変換については、「libcompat_cf2.pl 
が変換」する。

1.1	アドレスについて

	$MAIL_LIST
	$CONTROL_ADDRESS

	はヘッダ等で使われる。実際の(配送/コマンド)プロセスとしての区別は

	1 ctladdr モードか否か？で決まる(default)。

	2 $MAIL_LIST == $CONTROL_ADDRESS なら "# command" をTRAP

	3 if CFVersion < 3
		NULL == $CONTROL_ADDRESS は
		$MAIL_LIST == $CONTROL_ADDRESS と同じで "# command" をTRAP
	  endif

1.2	$ML_MEMBER_CHECK (内部変数,HOOKが今までどおり動くために）

	$ML_MEMBER_CHECK

	config.ph にあっても使わない（たぶんコメントとしては残る）
	内部的には現状のまま toggle flag として使う。
	ML_MEMBER_CHECKで
		1	メンバーチェック actives members
		0	自動登録         members のみ

	の区別

	COMMAND_ONLY_SERVER は…とりあえず command mode を on にする
	(これ意味的には	$PERMIT_POST_FROM = nobody ?)

1.3	アクセスコントロール(新変数)

	○ 配送のアクセス制御(ようは $MAIL_LIST 宛メールのアクセス制御)

	$PERMIT_POST_FROM	= anyone|members_only|moderator

		(&DEFINE_MODE("post=なんとか") から変換される)

	$REJECT_POST_HANDLER    = reject | auto_regist | ignore;

		メンバーでない場合にどうするか？

	○ コマンドの時(ようは $CONTROL_ADDRESS 宛メール、ctladdr mode 
	   で動いてるプロセスのアクセス制御

	$PERMIT_COMMAND_FROM	 = anyone|members_only|moderator 

		(&DEFINE_MODE("command=なんとか") から変換される)

	$REJECT_COMMAND_HANDLER  = reject | auto_regist | ignore;

		メンバーでない場合にどうするか？

	(PROHIBIT_COMMAND_FOR_STRANGER が要らなくなるはず
	 $PERMIT_COMMAND_FROM	= members_only へ自動変換)

1.4	Subject の種類

	$SUBJECT_TAG_TYPE	&SubjectTagDef の引数を格納

SUBJECT_HML_FORM は [:] と等価のため消去。cf2->3 で自動変換をかける。

1.5	自動登録の種類

自動登録するか？否か？は $REJECT_*_HANDLER で決まる。種類は以下の変数
で決まる

	$AUTO_REGISTRATION_TYPE	= confirm | subject | body | nokeyword

$AUTO_REGISTRATION_KEYWORD は $REQUIRE_SUBSCRIBE なので、自動変換(cf 2
-> 3)。$REQUIRE_SUBSCRIBE_IN_BODY は自動変換(cf 2 -> 3) -> "body"

備考: 実装したら使わなかった案 $REGISTRATION_BY = manual | auto

1.6	リモート管理

	$REMOTE_ADMINISTRATION		= 1 | 0 (同じ)

	$REMOTE_ADMINISTRATION_AUTH_TYPE = address | crypt | md5 | pgp

address はアドレスだけの認証。REMOTE_ADMINISTRATION_REQUIRE_PASSWORD
=> type crypt と同じ

正確には 
	crypt = crypt + address 
	md5   = md5   + address 		
というべきだけど…

1.7	Discussion

○ USE_SUBJECT_AS_COMMANDS は… COMMAND_TRAP_TYPE とか導入しても
   この変数しかないので数が減らないからこのままがいいだろう

○ 使ってないから消すべきだ

	USE_WHOIS

------------------------------------------
Date:    Tue, 01 Jul 1997 09:04:46 +0900
Thanks to: Genji Goto <goto@so.fjh.se.fujitsu.co.jp>

	     Machine  : FUJITSU GRANPOWER 7000(DS/90)
	     OS       : UXP/DS V20L10(SVR4.2)
	     sendmail : 8.7.6+2.6Wbeta
	     perl     : perl-5.002

is Solaris-Wise.

add the descriptions to doc/os.wix

------------------------------------------
Date:    Fri, 27 Jun 1997 13:06:56 +0900
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>

add pgp.wix

------------------------------------------
Date:    Fri, 27 Jun 97 02:09:03 JST
In fml-support ML's Count: 02867

config.ph 問題:

こんなこともあろうかと…の config.ph $CFVersion なんだけど、
という真田さん:)なあれですが、本質的な話だす。

さんざかんがえたすけど、現時点でいやなのは、

１	makefml にインターフェイスを一極集中したほうがメンテは楽
	これを driver するいんたーふぇいすがかければなんでもあり

２	そのためには &DEFINE_MODE を makefml が操作するのはめんどくさすぎる
	内部表現とかとしてはいいんだけど、LOCAL_CONFIG は
	まさに local hack ようなので、こんなところをいじるのはいやすぎるす

３	backward compat のため(e.g. HOOK) 意味はどうあれ
	$ML_MEMBER_CHECK はどうやっても歴史的に残る
	あとは config.ph の問題に還元される

４	$ML_MEMBER_CHECK を見かけ上やめるなら
	$CFVersion で定義を変えるしかない

	もしくはすべて makefml に押付ける(現状方針)

５	もしくは CFVersion 3 をする。削りたい config を落とす。
	排他制御なものは うじゃうじゃTYPE とかに統合とか
	e.g. $REMOTE_ADMIN_AUTH_TYPE とか〜
	HMLうじゃうじゃ とか…ですな(meta に SUBJECT_TAG_TYPE でOKじゃん)
	if (CFVersion < 3) は compat_cf20to30 とかで CF３へ変換する。
	例えば 概念的には POLICY を拡張して(あくまで例よ)

	# これは同じなのに別のものを import はまぎわらしいから
	# 導入しないほうがいいだらう
	# $POST_ADDR	= $MAIL_LIST
	# $COMMAND_ADDR	= ($MAIL_LIST | $COMMAND_ADDRESS)

	$PERMIT_POST_FROM	= (anyone|members_only|moderator) 
		# config.ph 中ではなくfml.pl中で &DEFINE_MODE に読み替え
		# config.ph で手で書いてもいいけどさ

	$PERMIT_COMMAND_FROM	= (anyone|members_only|moderator) 

	$REGISTATION_TYPE	= manual | auto ?
	$AUTO_REGIST_TRAP_BY	= ($MAIL_LIST | $COMMAND_ADDRESS)
					        --ctladdr (でくべつ)

	$ML_MEMBER_CHECK 自体は別に構わない。最終的に内部的な自動登録
	をするか否かの toggle flag になるので、
	ほとんどすべてのコードはいまのままで変更しない
	＃そうしないとHOOKとかで compat にならない

６	2.2 の課題なんじゃないか？こういうのは…

------------------------------------------
Date:    Tue, 24 Jun 1997 18:22:59 +0900
Thanks to: Hiroshi KISE <kise@imicom.or.jp>

improve http://www.fml.org/fml/index.html

------------------------------------------
Date:    Tue, 24 Jun 97 02:18:05 JST
Thanks to: Kaz Ohwaki <k@yt.com>
In fml-support ML's Count: 02846

Japanese typo in doc/op

------------------------------------------
Date:    Sun, 22 Jun 97 02:39:19 JST
In fml-support ML's Count: 02840

fix typo doc/smm/remote.wix # already commints in doc-changes

------------------------------------------
Date:    Sat, 21 Jun 97 16:24:04 JST
In fml-support ML's Count: 02835

	# admin log
		ログの最近の100行を取り寄せる

	# admin log -N(数字)
		ログの最近の N行を取り寄せる。例 admin log -40 (最近の40行)
		＃数字以外のまっちんぐぱたーんは将来の課題

	# admin log all
		ログファイル全体を取り寄せる。
		とても大きいかも知れないので注意。

------------------------------------------
Date:    Wed, 18 Jun 97 16:41:02 JST
Thanks to: AOKI Tetsuo <aoki@crl.go.jp>
In fml-support ML's Count: 02818

Japanise TYPO fix doc/INSTALL

------------------------------------------
Date:    Tue, 17 Jun 1997 13:22:55 +0900

add "admin log"

------------------------------------------
Date:    Fri, 13 Jun 97 10:02:02 JST
Thanks to: Fuminori Uematsu <uematsu@iname.com>
In fml-support ML's Count: 02790

patch to libconfirm.pl

bug fix of http://www.fml.org/fml/

------------------------------------------
Date:    Wed, 11 Jun 97 16:40:03 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 02774

patch to libsynchtml.pl (remove \r)
in fact bug fix libsmtp.pl

------------------------------------------
Date:    Mon, 9 Jun 97 21:58:02 JST
In fml-support ML's Count: 02766

	$REJECT_ADDR_LIST ("$DIR/spammers")

97/06/08
	Expire 機能の built-in 化
	USE_EXPIRE	1 (0 がdefault)
	EXPIRE_LIMIT	数字days(日数)か数字(記事の数) default は 7days
	cf/MANIFESTも変更

97/06/07
	%FmlExitHook (internal use)
	expire mode (defult is '7days')
		$EXPIRE_LIMIT = e.g. "7days"(day), "100"(count) ...

97/06/02
	$REJECT_ADDR_LIST ("$DIR/spammers")
	reject するアドレス From: と UNIX FROM に対して適用される。
	デフォルトの $REJECT_ADDR はこれとは別に適用される。

	%ProcedureException

	doc/smm, doc/ri a little improved

97/05/18
	$NOT_USE_SPOOL = 1; ＃DISKが足りない等で記事をためずに配送するだけ
	すべてのメンバーリスト等の操作で $FILE_TO_REGIST の値を考慮する

------------------------------------------
Date:    Mon, 9 Jun 97 21:52:18 JST
In fml-support ML's Count: 02765

create 
	doc-changes@ffs.fml.org
	tech@ffs.fml.org

------------------------------------------
Date:    Tue, 3 Jun 97 14:13:02 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 02729

patch to libsynchtml.pl

------------------------------------------
Date:    Mon, 2 Jun 97 00:45:03 JST
In fml-support ML's Count: 02715

add $ProcedureException{"bye", "ignore_list"} = $MEMBER_LIST;

------------------------------------------
Date:    Tue, 27 May 1997 19:25:08 +0900 (JST)
Thanks to: Hiroshi NAKATA <hnakata@su2-1.cc.gunma-u.ac.jp>

patch to doc/wmm/os.wix
patch to doc/wmm/op.wix
patch to doc/ri/INSTALL.wix

------------------------------------------
Date:    Mon, 26 May 1997 17:25:51 +0900
Thanks to: Hiroshi NAKATA <hnakata@su2-1.cc.gunma-u.ac.jp>

patch to doc/smm on WIX

------------------------------------------
Date:    Wed, 21 May 97 17:56:02 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 02674

patch to doc/op typo

------------------------------------------
Date:    Tue, 13 May 97 16:19:02 JST
Thanks to: Hiroshi NAKATA <hnakata@su2-1.cc.gunma-u.ac.jp>
In fml-support ML's Count: 02617

fix typo bin/fwix.pl

	\n
	link relation

------------------------------------------
Date:    Wed, 7 May 97 23:00:08 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02603

bug fix libamctl.pl (comment handling)

------------------------------------------
Date:    Wed, 7 May 97 19:33:03 JST
Following to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02597

add and define the use of %Envelope's  macro:x ($x) and tmp:x 

------------------------------------------
Date:    Wed, 7 May 97 19:06:02 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02596

patch to etc/makefml/Makefile

------------------------------------------
Date:    Tue, 6 May 97 14:48:02 JST
Thanks to: =?ISO-2022-JP?B?GyRCRiNFRE9CTXgbKEI=?= <fujita@soum.co.jp>
In fml-support ML's Count: 02590

patch to bin/Archive.pl

------------------------------------------
Date:    Thu, 1 May 97 14:27:02 JST
Following to: Yuao Tanigawa <yuao@infonia.or.jp>
In fml-support ML's Count: 02579

Date:    Sat, 3 May 97 01:55:07 JST
In fml-support ML's Count: 02587

add the check routine "struct sock_addr" to sbin/makefml

------------------------------------------
Date:    Thu, 1 May 1997 14:46:37 +0900
Thanks to: Yuao Tanigawa <yuao@infonia.or.jp>

import bin/multipart.pl

http://www.na.rim.or.jp/~yuao/fmlutils.html

------------------------------------------
Date:    Tue, 29 Apr 97 21:29:02 JST
Thanks to: KIZU takashi <kizu@ics.es.osaka-u.ac.jp>
In fml-support ML's Count: 02570

bug fix flock()
add $LOCKFILE to SetDeafults()

------------------------------------------
Date:    Tue, 29 Apr 97 15:52:17 JST
Following to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02565

cf/config search_path takes plural arguments

------------------------------------------
Date:    Tue, 29 Apr 97 14:59:17 JST
Folloing to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02563

makefml check jperl or not

------------------------------------------
Date:    Fri, 25 Apr 97 17:46:04 JST
Thanks to: KIZU takashi <kizu@ics.es.osaka-u.ac.jp>
In fml-support ML's Count: 02550

import http://www-kasi.ics.es.osaka-u.ac.jp/kizu/fml to contrib

------------------------------------------
Date:    Fri, 25 Apr 97 00:48:02 JST
Thanks to: hirono@torii.nuie.nagoya-u.ac.jp
In fml-support ML's Count: 02547

bug fix libra.pl

------------------------------------------
Date:    Tue, 22 Apr 97 12:33:02 JST
Thanks to: Hiroshi NAKATA <hnakata@su2-1.cc.gunma-u.ac.jp>
In fml-support ML's Count: 02542

fix doc/INSTALL

------------------------------------------
Date:    Mon, 21 Apr 97 23:50:03 JST
Thanks to: Hisaaki Shibata <shibata@opost1.netspace.or.jp>
In fml-support ML's Count: 02541

fix typo doc/INSTALL

------------------------------------------
Date:    Mon, 21 Apr 97 22:44:17 JST
Thanks to: hirono@torii.nuie.nagoya-u.ac.jp
In fml-support ML's Count: 02540

bug fix fml_local.pl typo

------------------------------------------
Date:    Wed, 16 Apr 97 22:39:02 JST
In fml-support ML's Count: 02515

add "admin resend"

------------------------------------------
Date:    Wed, 16 Apr 97 02:48:02 JST
In fml-support ML's Count: 02503

add @REMOTE_CONFIGURABLE_FILES 

------------------------------------------
Date:    Sun, 13 Apr 97 17:20:04 JST
Thanks to: "Metalman(YAMZAKI Kazuyuki)" <metalman@kt.rim.or.jp>
In fml-support ML's Count: 02489

Date:    Tue, 15 Apr 97 19:37:02 JST
Thanks to: "Metalman(YAMZAKI Kazuyuki)" <metalman@kt.rim.or.jp>
In fml-support ML's Count: 02500

help improvement 

------------------------------------------
Date:    Thu, 10 Apr 97 19:14:06 JST
Thanks to: "Metalman(YAMZAKI Kazuyuki)" <metalman@kt.rim.or.jp>
In fml-support ML's Count: 02470

help improvement

------------------------------------------
Date:    Wed, 9 Apr 97 00:56:01 JST
Thanks to: Takashi Yokoyama <yoko@galaxy.imasy.or.jp>
In fml-support ML's Count: 02464

improve X-ML-Info:

------------------------------------------
Date:    Fri, 4 Apr 97 23:41:01 JST
Thanks to: "Metalman(YAMZAKI Kazuyuki)" <metalman@kt.rim.or.jp>
In fml-support ML's Count: 02441

help impovement

------------------------------------------

97/03/26
	fml.org へ移行

*** until Sun Mar 30 15:53:22 JST 1997
*** fml-support's X-Mail-Count: 02397

------------------------------------------
Date:    Sat, 29 Mar 97 20:28:02 JST
In fml-support ML's Count: 02393

perl gen_summary -I /usr/local/fml めーりんぐりすとのDIR/spool > summary

	-I lib*.pl のある場所（が必要です）
	-m オプションで MIME Decoding もします。

------------------------------------------
Date:    Sat, 29 Mar 97 18:11:01 JST
In fml-support ML's Count: 02391

typo of sbin/makefml socket in the case of solaris2

------------------------------------------
Date:    Fri, 28 Mar 97 10:50:02 JST
Thanks to: Fuminori Uematsu <uematsu@iname.com>
In fml-support ML's Count: 02381

fix the bug of modification of UUENCODE, COMPRESS in f_lhauu, f_lhaish

------------------------------------------
Date:    Fri, 28 Mar 97 00:42:02 JST
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>
In fml-support ML's Count: 02379

makefml -O OS_TYPE 

------------------------------------------
Date:    Wed, 26 Mar 97 20:42:02 JST
Thanks to: Fuminori Uematsu <uematsu@iname.com>
In fml-support ML's Count: 02372

patch for libMIME.pl; decode -> strip -> encode, the last "\n" bug;

------------------------------------------
Date:    Wed, 26 Mar 97 12:47:02 JST
In fml-support ML's Count: 02365

@*.fml.org of Mailing List Address 

------------------------------------------
Date:    Sun, 23 Mar 97 01:37:02 JST
Thanks to: hirono@torii.nuie.nagoya-u.ac.jp
In fml-support ML's Count: 02342

fix f_uu

------------------------------------------
Date:    Fri, 21 Mar 97 13:42:02 JST
Thanks to: Tatsuo Harada <harada@uxrd.htc.casio.co.jp>
In fml-support ML's Count: 02333

fix the snapshot script bug

------------------------------------------
Date:    Sat, 8 Mar 97 18:03:02 JST
Thanks to: Masahiro Umegaki <ume@st.rim.or.jp>
In fml-support ML's Count: 02296

reports on Metainfo Sendmail and fml install experiments

------------------------------------------
Date:    Sat, 8 Mar 97 14:49:01 JST
In fml-support ML's Count: 02295

fmlserv (listserv interface) なんですが、
	desable "lists" commads indefault

it is used when
	$FMLSERV_PERMIT_LISTS_COMMAND  = 1;

------------------------------------------
Date:    Fri, 7 Mar 97 18:47:02 JST
Thanks to: =?ISO-2022-JP?B?GyRCRiNFRE9CTXgbKEI=?= <fujita@soum.co.jp>
In fml-support ML's Count: 02287

fix obsolete codes of Archive.pl

------------------------------------------
Date:    Fri, 7 Mar 97 18:38:03 JST
Thanks to: Masahiro Umegaki <ume@st.rim.or.jp>
In fml-support ML's Count: 02286

adds ntperl search_path 

------------------------------------------
Date:    Fri, 7 Mar 97 13:59:03 JST
Thanks to: =?ISO-2022-JP?B?GyRCRiNFRE9CTXgbKEI=?= <fujita@soum.co.jp>
In fml-support ML's Count: 02285

bug fix patch of  gzip existence check 

------------------------------------------
Date:    Wed, 5 Mar 97 15:40:03 JST
Thanks to: Tatsumi Daisuke <wiz@hislab.phys.waseda.ac.jp>
In fml-support ML's Count: 02269

GetGID fix

------------------------------------------
Date:    Fri, 28 Feb 97 10:15:03 JST
Thanks to: Masahiro Umegaki <ume@st.rim.or.jp>
In fml-support ML's Count: 02221

when if confirmation reply is missing ..., 

------------------------------------------
Date:    Fri, 28 Feb 1997 11:06:39 +0900
Thanks to: naka@imasy.or.jp (=?ISO-2022-JP?B?GyRCQ2ZCPDYpO1YbKEo=?=)

contributes of AL-Mail description in doc/op 

------------------------------------------
Date:    Tue, 25 Feb 97 18:33:03 JST
Thanks to: Masahiro Umegaki <ume@st.rim.or.jp>
In fml-support ML's Count: 02205

FIX TYPO of confirmation mode

------------------------------------------
Date:    Fri, 21 Feb 97 17:05:01 JST
Thanks to: Satoshi Negishi <onion@todo.csl.ntt.co.jp>
In fml-support ML's Count: 02196

fix $[ in libsmtp

------------------------------------------
Date:    Mon, 17 Feb 97 23:37:01 JST
In fml-support ML's Count: 02177

gzip exist check

------------------------------------------
Date:    Mon, 17 Feb 97 14:59:02 JST
Thanks to: Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>
In fml-support ML's Count: 02172

Groupware differs from sendmail.
Fix following RFC822

------------------------------------------
Date:    Mon, 17 Feb 97 01:10:03 JST
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>
In fml-support ML's Count: 02164

axion.phys.titech.ac.jp の ML 群の自動登録 -> confirmation mode

------------------------------------------
Date:    Wed, 12 Feb 97 23:35:01 JST
Thanks to: Manami TSUBOI <tsuboi@po.across.or.jp>
In fml-support ML's Count: 02147

on EWS4800, please see fml-support ML's Count: 02120 02147

------------------------------------------
Date:    Wed, 12 Feb 97 01:20:03 JST
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>
In fml-support ML's Count: 02141

--stdinlog

------------------------------------------
Date:    Sun, 2 Feb 1997 08:56:51 +0900 (JST)
Thanks to: sleepy@maekawa.is.uec.ac.jp

liblop.pl patch

------------------------------------------
Date:    Thu, 30 Jan 97 00:24:03 JST
Thanks to: hirono@torii.nuie.nagoya-u.ac.jp
In fml-support ML's Count: 02065

loop algorithm bug fix

------------------------------------------
Date:    Tue, 28 Jan 97 19:43:02 JST
Thanks to: "=?ISO-2022-JP?B?GyRCQGdAUElSQ0sbKEI=?=  <sengoku@intsys.co.jp>" <sengoku@intsys.co.jp>
In fml-support ML's Count: 02064

sbin/makefml bug

------------------------------------------
Date:    Mon, 27 Jan 97 17:20:03 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02053

doc/op fix

------------------------------------------
Date:    Fri, 24 Jan 97 10:28:04 JST
Thanks to: Ozaki Norimasa <ozaki@vsp.cpg.sony.co.jp>
In fml-support ML's Count: 02039

bug fix Write2

------------------------------------------
Date:    Wed, 22 Jan 97 20:47:02 JST
Thanks to: Yuao Tanigawa <yuao@infonia.or.jp>
In fml-support ML's Count: 02036

delete Email address in include
# Multipar Canceler Filter by Yuao TANIGAWA <yuao@infonia.or.jp>

STRANGE MTA interprets this comment as an address! why? 

------------------------------------------
Date:    Wed, 22 Jan 97 20:26:03 JST
Thanks to: Atushi Sakauchi <sakauchi@micon.co.jp>
In fml-support ML's Count: 02035

ccfml bug fix 

------------------------------------------
Date:    Mon, 20 Jan 97 19:20:03 JST
Following: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02015

--stdinlog

------------------------------------------
Date:    Mon, 20 Jan 97 18:40:03 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02014

libdist.pl patch of A-Z -> a-z bug (perl 4, snd 5 conflict)

------------------------------------------
Date:    Sun, 19 Jan 97 17:12:02 JST
Thanks to: sleepy@maekawa.is.uec.ac.jp
In fml-support ML's Count: 02011

makefml: Hmm.. anyway setgid() for all OS's except for 4.4BSD.

はこの setgid セマンティクスらしいです。

------------------------------------------
Date:    Sat, 18 Jan 97 21:36:01 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02007

libdist for MIME decoded subject

------------------------------------------
Date:    Sat, 18 Jan 97 21:04:01 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02006

makefml bug of do_passwd

------------------------------------------
Date:    Sat, 18 Jan 97 20:44:02 JST
Following: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02005

fmlserv: group -> group, fmlserv type extension

------------------------------------------
Date:    Sat, 18 Jan 97 19:08:02 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02003

sbin/makefml bug especially permission problem

------------------------------------------
Date:    Sat, 18 Jan 97 12:05:01 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 02002

setgid() OS 

SunOS 4.1.3(JLE1.1.3) と Solaris 2.5 は ×
FreeBSD 2.1.5-RELEASE は ○

------------------------------------------
Date:    Thu, 16 Jan 97 16:43:02 JST
Thanks to: =?ISO-2022-JP?B?GyRCOzMyPBsoQiAbJEI5ZDkwGyhC?= <yamasita@yw.se.shibaura-it.ac.jp>
In fml-support ML's Count: 01989

fmlserv.pl patch

------------------------------------------
Date:    Mon, 13 Jan 97 10:50:02 JST
Thanks to: hirono@torii.nuie.nagoya-u.ac.jp
In fml-support ML's Count: 01965

crosspost operations patch 

------------------------------------------
Date:    Sun, 12 Jan 97 02:16:02 JST
Thanks to: KITA Junji <junji@vc-net.or.jp>
In fml-support ML's Count: 01959

doc/op bug around pop and fml

------------------------------------------
Date:    Sat, 11 Jan 97 16:28:02 JST
Thanks to: Toyokazu HAMA <toyo@spica.esd.yamanashi.ac.jp>
In fml-support ML's Count: 01951

/bin/sh problem except for NetBSD

------------------------------------------
Date:    Fri, 10 Jan 97 13:20:02 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 01923

INSTALL TYPO
doc/op bug 
a lot of improvements and bug fix for sbin/makefml 

------------------------------------------
Date:    Wed, 8 Jan 97 22:05:02 JST
Thanks to: "Masakazu SOSHI" <soshi@maekawa.is.uec.ac.jp>
In fml-support ML's Count: 01917

bug fix librfc1153.pl

------------------------------------------
Date:    Sat, 4 Jan 97 00:42:02 JST
Thanks to: KITA Junji <junji@vc-net.or.jp>
In fml-support ML's Count: 01907

doc/op bug fix
msend.pl typo

FYI: NeBSD /bin/sh interpretes chdir == cd , 
	but a lot of other OS cannot understand it.

------------------------------------------
Date:    Wed, 25 Dec 96 16:29:02 JST
Thanks to: =?ISO-2022-JP?B?GyRCRiNFRE9CTXgbKEI=?= <fujita@soum.co.jp>
In fml-support ML's Count: 01897

missing srand() ... -o-;

------------------------------------------
Date:    Mon, 23 Dec 1996 21:22:12 +0900

Free Software Prize 96

------------------------------------------
Date:    Wed, 11 Dec 96 17:43:02 JST
Thanks to: "Masakazu SOSHI" <soshi@maekawa.is.uec.ac.jp>
In fml-support ML's Count: 01857

perl 5 proglem of "library" commands

------------------------------------------
Date:    Sun, 8 Dec 96 02:53:02 JST
In fml-support ML's Count: 01839

makefml interface alpha 

------------------------------------------
Date:    Fri, 6 Dec 96 15:13:02 JST
Thanks to: Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 01823

the fundamental configuration change begins from here.
e.g. 
	doc/op 
	doc/INSTALL

Thanks a lot for people on this discussion
	Masayuki FUKUI <fukui@sonic.nm.fujitsu.co.jp>
	Manami TSUBOI <tsuboi@po.across.or.jp>
	MAGARA Yasuhiro <gama@lm.fujitsu.co.jp>
	Tomoyuki Asakawa <tomoyuki@staff.marimo.or.jp>
	"N.Fukuoka" <fuk@tcp-ip.or.jp>
	...

------------------------------------------
Date:    Wed, 4 Dec 96 16:55:02 JST
Thanks to: kishiba@ipc.hiroshima-u.ac.jp (Seigo Kishiba)
In fml-support ML's Count: 01810

patch of bracket strip code

------------------------------------------
Date:    Wed, 4 Dec 96 16:20:02 JST
Thanks to: =?ISO-2022-JP?B?GyRCRiNFRE9CTXgbKEI=?= <fujita@soum.co.jp>
In fml-support ML's Count: 01809

libra.pl fix

------------------------------------------
Date:    Wed, 4 Dec 96 04:47:02 JST
Thanks to: "Masakazu SOSHI" <soshi@maekawa.is.uec.ac.jp>
In fml-support ML's Count: 01807

librfc1153: 
	perl 5 reference and scope problem
	TYPO

------------------------------------------
Date:    Mon, 2 Dec 96 11:37:01 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 01797

------------------------------------------
Date:    Sat, 23 Nov 96 14:05:02 JST
In fml-support ML's Count: 01760

samples のまとめ送りの crontab 

	commond line options の解説つきに

cf/config は（８９からかな？）
	original 保存形式になっています

in fml-support ML's Count:01759 
yuba@kitai.densi.kansai-u.ac.jp (YUBA Akinori) さん  wrote:
>  | INSTALL document では directory 名を変えることを推奨しかしてないからそ
>  | ういう事態がおきるのかぁ〜 なんか考えます _o_
>そうですね。 INSTALL に書いておいて頂いた方が親切だと思います。

INSTALL
	変えて下さい…	に変更

directory名と tar.gz でかためる時のファイル名を 

	#数字 -> -snapshot数字 

に変換してから作ることにしました。何書いてもどっかのＯＳがはまってくれ
るようなきがするので…（わかりやすいけど、なんかださい;_;）

内部表現はわかりやすいように

	fml-{Version}{ALPHA,BETA,GAMMA,RELEASE}#{SNAPSHOT-NUMBER}

形式です。
＃ Snapshot number というべきか the number of compilation というべきか

------------------------------------------
Date:    Wed, 20 Nov 96 19:20:02 JST
In fml-support ML's Count: 01743

filename -> fml-revision-snapsnot-snapshot-number ...

------------------------------------------
Date:    Thu, 14 Nov 96 10:22:02 JST
Thanks to: NISHIJIMA Takanori -- =?ISO-2022-JP?B?GyRCQD5FZzknRkEbKEI=?= <racsho@cpdc.canon.co.jp>
In fml-support ML's Count: 01717

cf/config patch

------------------------------------------
Date:    Thu, 7 Nov 96 16:32:02 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 01704

Date:    Fri, 8 Nov 96 11:11:01 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 01705

libsynchtml patch

------------------------------------------
Date:    Wed, 6 Nov 96 20:14:01 JST
Thanks to: pplkk@biken.ed.oki.co.jp (Kuwahara Kazuyuki )
In fml-support ML's Count: 01703

bug of libsmtp function definition

------------------------------------------
Date:    Thu, 31 Oct 96 14:27:01 JST
Thanks to: NISHIJIMA Takanori -- =?ISO-2022-JP?B?GyRCQD5FZzknRkEbKEI=?= <racsho@cpdc.canon.co.jp>
In fml-support ML's Count: 01690

bug fix of Strip Bracket

------------------------------------------
Date:    Thu, 31 Oct 96 00:12:01 JST
In fml-support ML's Count: 01688

in fml-support ML's Count:01678 
thanks to tmu@ikegami.co.jp (MURASHITA Takuya) さん  wrote:

around strip bracket when $USE_MIME

------------------------------------------
Date:    Thu, 24 Oct 96 10:33:02 JST
Thanks to: ichikawa@na.rim.or.jp
In fml-support ML's Count: 01631

TYPO of doc/op

------------------------------------------
Date:    Wed, 23 Oct 96 18:22:01 JST
Thanks to: NISHIJIMA Takanori -- =?ISO-2022-JP?B?GyRCQD5FZzknRkEbKEI=?= <racsho@cpdc.canon.co.jp>
In fml-support ML's Count: 01619

msend.pl bug

fixed In fml-support ML's Count: 01623

------------------------------------------
Date:    Wed, 23 Oct 96 08:50:02 JST
Thanks to: NISHIJIMA Takanori -- =?ISO-2022-JP?B?GyRCQD5FZzknRkEbKEI=?= <racsho@cpdc.canon.co.jp>
In fml-support ML's Count: 01606

fix typo 

------------------------------------------
Date:    Tue, 22 Oct 96 22:27:02 JST
Thanks to: NISHIJIMA Takanori -- =?ISO-2022-JP?B?GyRCQD5FZzknRkEbKEI=?= <racsho@cpdc.canon.co.jp>
In fml-support ML's Count: 01599

bug fix GetDistributeList

------------------------------------------
Date:    Wed, 16 Oct 96 12:31:22 JST
Thanks to: akira yamada <yamada@sys.wsd.mt.nec.co.jp>
In fml-support ML's Count: 01569

bug fix of admin mode

------------------------------------------
Date:    Wed, 16 Oct 96 12:30:58 JST
following to tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 01568

$HTTP_INDEX_UNIT  week, month mode 

------------------------------------------
Date:    Tue, 8 Oct 96 20:46:02 JST
In fml-support ML's Count: 01557

members file format
	アドレス	オプション	# コメント

>>> release-notes:1879

------------------------------------------
Date:    Mon, 7 Oct 96 16:04:02 JST
Thanks to: tmu@ikegami.co.jp (MURASHITA Takuya)
In fml-support ML's Count: 01551

bug fix libsynchtml.pl
(in fact (at this time) already fixed by me)

------------------------------------------
Date:    Tue, 01 Oct 1996 17:56:29 +0900
Thanks to: NISHIJIMA Takanori -- =?ISO-2022-JP?B?GyRCQD5FZzknRkEbKEI=?= <racsho@cpdc.canon.co.jp>

bug fix of sbin/configure_fml2 on except for NetBSD

------------------------------------------
Date:    Tue, 17 Sep 96 18:46:03 JST
Thanks to: Kenichi Makino <makino@odi.epson.co.jp>
In fml-support ML's Count: 01471

typo of PermitProcedure

------------------------------------------
Date:    Mon, 16 Sep 96 03:40:02 JST
Thanks to: holon@st.rim.or.jp
In fml-support ML's Count: 01465

typo fix in cf/MANIFEST

------------------------------------------
Date:    Fri, 13 Sep 96 21:00:03 JST
In fml-support ML's Count: 01452

in X-Mail-Count: 01449 
Kenichi Makino <makino@odi.epson.co.jp> さん  wrote:
>  # IF @PermitProcedure, PERMIT ONLY DEFINED FUNCTIONS;
>  if (@PermitProcedure) {
>      foreach $k (@PermitProcedure) { $Procedure{$k} = $proc{$v};}

FIX TYPO

------------------------------------------
Date:    Tue, 10 Sep 96 22:08:02 JST
In fml-support ML's Count: 01443

--moderated (libmoderated.pl)

------------------------------------------
Date:    Wed, 4 Sep 96 13:20:02 JST
Thanks to: holon@st.rim.or.jp
In fml-support ML's Count: 01404
In fml-support ML's Count: 01409

admin mode:
	SecureP syntax check bug fix
	Procedure definitions

------------------------------------------
Date:    Sat, 31 Aug 96 22:12:02 JST
Thanks to: KITA Junji <junji@mailhost.net>
In fml-support ML's Count: 01364

README modified

------------------------------------------
Date:    Fri, 23 Aug 96 00:42:02 JST
In fml-support ML's Count: 01321

	ftp://ftp.phys.titech.ac.jp/pub/net/fml-current/ 
->
	ftp://ftp.iij.ad.jp/pub/IIJ/dist/fukachan/fml/  

------------------------------------------
Date:    Fri, 9 Aug 96 11:01:00 JST
Thanks to: MAGARA Yasuhiro <gama@lm.fujitsu.co.jp>
In fml-support ML's Count: 01296

TYPO FIX sbin/configure_ph

------------------------------------------
Date:    Fri, 26 Jul 1996 14:23:25 +0900 (JST)
Thanks to: nagasaka@first.tsukuba.ac.jp (Kousaku Nagasaka)

FIX TYPO 

------------------------------------------
Date:    Thu, 25 Jul 96 11:05:07 JST
Thanks to: tana@sofia.ksp.fujixerox.co.jp (Yoshi "TANA" Tanaka)
In fml-support ML's Count: 01286

fix documents around fml.c

------------------------------------------
Date:    Fri, 19 Jul 96 11:31:14 JST
Thanks to: Tomoyuki Asakawa <tomoyuki@staff.marimo.or.jp>
In fml-support ML's Count: 01270

fix EasyConfigure.euc for NEXTSTEP

------------------------------------------
Date:    Sat, 13 Jul 96 02:01:48 JST
In fml-support ML's Count: 01263

snapshot release memo

お手軽インストールのバグをなおす;_;

	・こないだなおし過ぎて勢い余ってしまっているところ;_;

	% make MAIL_LIST=作りたいMLのアドレス MAINTAINER=ML管理者のアドレス

	MAINTAINER=ML管理者のアドレス	が config.ph にちゃんと反映されてない
	＃ cf/config を使ってFIX処理を行うように変更

html mode definition
	default を 日毎に別の directory に保存するのを デフォルトへ
	＃前にしたつもりだったんだが…なおしそこねてた

libsubjectdef.pl
	subject フォームの見本
	e.g. 
		[Elena:100]
		[Elena 100]
		(Elena 100)
	あとどういうのがあるかな…

mode setting in &LoadConfig 
	コマンドラインとconfig.ph の間の compatibility のために必要

fix 
	chaddr がモード保存してないけど…一応するように
	＃環境ちがうんだから リセット するものだとはおもうのだが…

	chaddr a b with conserving the a's option e.g. m=..  s=..

perl5.002 の話

    local($returnfile)	 = "${TMP_DIR}/m:${opt}:${$}return";
    perl5 だとまずい部分のFIX

	libsendfile, libsmtp 

起動時に DNS ひいて $j $m $w あたりを推測する
config.ph に書いてある内容は有効だが、cache はやめた↓。

fml-support:00817
>普段使う部分のprofile強化月間：で、 可能なマクロは config.ph 
>に cache します。overwrite したいときは、しちゃって:-)
>
>例：	
>$Envelope{'macro:m'}	= 'phys.titech.ac.jp';
>$Envelope{'macro:s'}	= 'axion.phys.titech.ac.jp';
>$Envelope{'macro:ca'}	= 'pollyanna';
>$Envelope{'macro:fqca'}	= 'pollyanna@axion.phys.titech.ac.jp';

------------------------------------------
Date:    Fri, 12 Jul 1996 13:53:18 +0900
Thanks to: "Satoshi I. Nozawa" <snozawa@env.sci.ibaraki.ac.jp>

fix Makefile to delete target machine settings, perl 5 problems

------------------------------------------
Date:    Fri, 5 Jul 96 23:36:17 JST
In fml-support ML's Count: 01251

doc/op included from X-Mail-Count: 01249 
thanks to Yuao Tanigawa <yuao@infonia.or.jp> 

------------------------------------------
Date:    Wed, 3 Jul 1996 18:47:27 +0900
Thanks to: fm@nn.solan.chubu.ac.jp (murayama fumitaka)

fix? perl 5 problem around NeonSendFile

------------------------------------------
Date:    Wed, 3 Jul 96 00:19:02 JST
In fml-support ML's Count: 01240

msend.pl
	fix conflicts from the loading order

fml.pl
	SetDefaults speculate DNS e.g. $j, $m 

libfred.pl
	Functional Regular Expressional Decomposer

	We can replace several tools with Fred Library 
	e.g. lib/Elena, ...

libexec/caching_whois.pl
	whois with caching functions

------------------------------------------
Date:    Wed, 26 Jun 96 00:12:25 JST
In fml-support ML's Count: 01238

FIX: 
    libutils.pl::&AutoRegist
    subscribe  mail-address のSYNTAX CHECK routine が変
    元に戻して 822 unfolding の方を止め
    一行のみ見るようにする

   $WHOIS_JCODE_P	libwhois.pl

   ipc と jcode は相性が悪い？とにかく 自動 jcode 変換するか否かは
   ケースbyケース ＃一応 Backward compat で デフォルトはする

簡易モード設定 EXTENSION:

    --autosubject
		subject: subscribe が必須な自動登録

    --autobody
		メール本文に subscribe が必須な自動登録

    例：
	subscribe というキーワードは変更できないので
	--autosubject --REQUIRE_SUBSCRIBE=append

	のように変更してもらうか config.ph に書く

*	COMPATIBILITY について
*	Majordomo Compatibility "mode:marjodomo"

○ INFO

# admin newinfo
# admin newguide
# approve password newinfo
# approve password newguide

	この命令以降を新しいガイドとして入れ換える

○ list.archive をサーチパスに加える

	push(@ARCHIVE_DIR, $listdir/$clean_list.archive);

○
 いくつかの問題；
	who は members のことなので、compatible にならないが… 

	list.passwd 
	そもそも平文パスワード こっちは 
	管理者一人一人につき crypt してる /etc/passwd もどき
	なので互換性がそもそもない…

	list.strip 	
	は無視
	こっちでこれをやると他の実装 relay 等に響くので

○おおよその変数リスト（対応テーブル）：
＃概念が違うのでちゃんと対応はしない

   $listdir/$clean_list.auto	$ML_MEMBER_LIST=0
   $listdir/$clean_list.closed	$ML_MEMBER_LIST=1
   $listdir/$clean_list.info	$DIR/guide
   $listdir/$clean_list.passwd  $DIR/etc/passwd
   $listdir/$clean_list.private $ML_MEMBER_LIST=1???
   $listdir/$clean_list.strip   対応するものはなし

*	Distribute との Compatibility 

   ややこしいことに
   mode:distribute というのは distribute compatible のことではないのだが

   コマンドラインオプション対応表があればいいだろう。

	対応表

Compiler options：

   -DSYSLOG				なし

   -DISSUE -DSUBJALIAS			doc/op をみてね。
					$SUBJECT_FREE_FORM

   -DMSC				--hml $SUBJECT_HML_FROM

   -DADDVERSION				なし

   -DSYSLOG_FACILITY=LOG_LOCAL?		なし

   -DDEF_DOMAINNAME=\"MYDOMMAIN.JP\" 	$DOMAIN $FQDN

   -DDEF_SEQ_PATH			$DIR
   -DDEF_SEQ_SUFFIX			$SEQUENCE_FILE

   -DDEF_RECIPIENT_SUFFIX		$MEMBER_LIST

   -DDEF_ALIAS_CHAR_OPTION		$SUBJECT_FREE_FORM

   -DDEF_RECIPIENT_PATH			$DIR($MEMBER_LIST)

   -DDEF_MAJORDOMO_RECIPIENT_PATH	$DIR($MEMBER_LIST)

	-j				--majordomo $Envelope{'mode:majordomo'}

	-M ML				
	-N ML
					@HdrFieldsOrder 等によるcanonicalize

	-i				--force:reply-to=なにか
					$Envelope{'fh:reply-to'}=なにか

	-R				デフォルト

	-h host				？

	-n news_from			フックに何かしかけないと駄目

	-r reply-to			？

	-B bracedef			$SUBJECT_FREE_FORMによる

	-F footer			$TRAILER_MAILBODY
	-H header			$PREAMBLE_MAILBODY

	-t				--original:subject
					$Envelope{'fh:subject'} = 1;

	-P precedence			$PRECEDENCE

	-m sendmailopt			$SEDNMAIL
					デフォルトではプロセス間通信
					なので意味なし

    パス/ファイル名指定オプション

	-Y archivepath			$SPOOL_DIR だけかな?
					@ARCHIVE_DIR

	-Z index			$INDEX_FILE
					ない場合はその場で生成している

------------------------------------------
Date:    Mon, 24 Jun 96 22:56:47 JST
In fml-support ML's Count: 01237

○   --"mode" long line option

	mode definition を最初にやってしまわないと	
	--VARIABLE=VALUE で設定が変えられない

○  $HTML_INDEX_UNIT 	数字 か day

	数字ごとの directory へわける。
	day の時はその日ごとのdirectoryへ分ける

	例：
	$HTML_INDEX_UNIT = 25;
		or
	$HTML_INDEX_UNIT = 'day';				
	例：７／１の分、７／２の分…

	var/htdocs/19960701
	var/htdocs/19960702
	...

○  Fix

	EasyConfigure to use cf/config 
	(including sbin/configure_ph)

	XXFMLDIR  -> FMLDIR
	XXFMLPROG -> FMLPROG

	Makefile
	fml.c
	ccfml
	etc/samples/configure.pl

	doc/INSTALL ...

○  Mesg() の導入
 &Mesg(*e, $s) <-> $e{message} .= $s;

○ fmlserv.pl ( for == listserv == majordomo )
	fix several bugs 
	部分的なCompatible機能 
		ML-name.auto ML-name.closed を解釈するように拡張

       COMMANDS e.g. lists, which (imported from libexec/sid)

------------------------------------------
Date:    Thu, 20 Jun 96 19:16:18 JST
In fml-support ML's Count: 01233

	fml-bugs
	fml-support 
		の設定はそのまま 

	変更：
	fml-maintainer を fml-support へ加える 

	新設： 
	fml-query (fml-situmon もつくるか)＃う…JPNICみたい（笑）
	にメールを送ると

  	   ○ forward: したよん というメールが From: or Reply-To; に返って

	   ○ From: fml-maintainer  でそのメールを fml-support へ投げる

------------------------------------------
Date:    Fri, 14 Jun 96 18:25:02 JST
Thanks to: "Ken'ichi Fukamachi" <fukachan@sapporo.iij.ad.jp>
In fml-support ML's Count: 01221

○とかく DM だとどっかへメールがいっちゃって、思い出したのが一週間後とか
日常茶飯事なので、

○あと、fml-bugs も同じくらいMLと同じくらいたくさん流れるのに
返した答は結局 fml-support へ繁栄されない＃フォワードを忘れるから;_;

そのため統合するほうが有益だとおもう。つぅか DM をできるだけ避ける方向
へいきたい
＃あと、運がよければすぐに返事が返る可能性があるし (^^)(期待の目)

具体的には
	今の設定	

	fml-support	自動登録モード
	fml-bugs	DM forwarded to fukachan@sapporo.iij.ad.jp

を
	fml-support	distribution only mode
	fml-bugs	forwarded to fml-support

	fml-admin?
	fml-maintainer?  (アドレスが妥当かどうかはともかく…?）
			どうしても DMでないとしょうがないケース
			＃ security 関連等をはじめ…

------------------------------------------
Date:    Fri, 14 Jun 96 09:52:11 JST
Thanks to: Masayuki Fukui <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 01219

APPEND MIME DECODED mails when the original mail report

------------------------------------------
Date:    Fri, 14 Jun 96 01:31:47 JST
Thanks to: Takashi Yokoyama <yoko@yk.rim.or.jp>
In fml-support ML's Count: 01216

following  

・Subjectに漢字コードが含まれていたら強制的にＭＩＭＥエンコードする。
・SubjectがＭＩＭＥだったらＪＩＳにデコードしたデータを
  X-Subject: として付ける。

in the future, implemented 

------------------------------------------
Date:    Thu, 13 Jun 1996 20:15:58 +0900
Thanks to Seiji Yoshiki <s-yosiki@pub.nes.nec.co.jp> 

FIX Comman Reply Infomation

IF	もし知らない人からへのヘルプとして上の文章をつける時は
	send e-mail .. をつけない

------------------------------------------
Date:    Wed, 12 Jun 96 11:09:20 JST
Thanks to: Takashi Yokoyama <yokoyama@camel.rp.ricoh.co.jp>
In fml-support ML's Count: 01212
In fml-support ML's Count: 01213

fix $Separator = "\.\n\n"; -> $Separator = "\n\.\n\n";

------------------------------------------
Date:    Tue, 04 Jun 1996 21:48:39 +0900
thnaks to Maki Watanabe <watanabe.maki@tko.dec-j.co.jp>

fml 2.0 delta on Digital UNIX

sbin/configure_fml2:
   CF_LIST に /usr/adm/sendmail/sendmail.cf を追加

------------------------------------------
Date:    Wed, 29 May 96 19:21:31 JST
In fml-support ML's Count: 01200

現実逃避;-)

PROJECT INFORMATION:
fml 2.0F ＃まだ、ftp においてないけど

○fml.pl
long line options

	--VARIABLE(英大文字)=Value
or
	--VARIABLE(英大文字)
例：
	--MAINTAINER=Elena-Request@phys.titech.ac.jp

	--ML_MEMBER_CHECK	-d と同じで $ML_MEMBER_CHECK = 1;

command line options で

	$MAINTAINER = "Elena-Request@phys.titech.ac.jp";

と同じことをするため 

１	sitedef.ph を書いて、 config.ph をいじるか
２	config.ph  をいじらずに command-line で設定するか
３	もっと手を抜いて --mladdr=ml-name@domain だけでいいようにするか
…

long line options mode-selection
	--mode(英小文字)

	--distribute	配送だけをする（コマンド使わないんならこっちにしてね）

			某 ip-connection ML の話をしているともいう;_;(謎)

	--fmlserv	fmlserv.pl 用の「よきにはからえモード」を理解する
	--listserv	同上
	--majordoomo	同上

特別なオプション

	--mladdr or --MLADDR=name@domain

を

    $DOMAINNAME                    = $domain;
    $MAIL_LIST                     = "${name}\@$domain";
    $ML_FN                         = "($name ML)";
    $XMLNAME                       = "X-ML-Name: $name";
    $XMLCOUNT                      = "X-Mail-Count";
    $MAINTAINER                    = "${name}-request\@$domain";
    $CONTROL_ADDRESS               = "${name}-ctl\@$domain";

として評価する（よきにはからえ〜:-）。
コマンドラインは config.ph よりも後に評価される
＃全部をひとつの 管理者アドレスにするともっと手が抜ける:-)
＃ --MLADDR=name@domain --MAINTAINER=ml-admin@domain

○ libexec/fmlserv.pl

	よするに libfml.pl のための listserv ですね
	＃別名：よきにはからえサーバ（苦笑）

	if [ -d /var/spool/ml/name ] なら

		name@domain メーリングスト

	と勝手に解釈するようにする 等

○fmlctl.pl

	% fmlctl subscribe ひとのあどれす

or interactive mode

	% fmlctl -i 
	fmlctl<1> subscribe address

------------------------------------------
Date:    Wed, 29 May 1996 20:13:37 +0900
Thanks to: Yuji Tazaki <ytazaki@bug.co.jp>

libsynchtml.pl debug and extension discussion

------------------------------------------
Date:    Tue, 28 May 96 17:13:58 JST
Following: Masayuki Fukui <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 01192

&WholeMail MIME decoding codes appended

@MEMBER_LIST

------------------------------------------
Date:    Mon, 27 May 96 18:37:11 JST
Thanks to: Masayuki Fukui <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 01191

fix &Distribute 

------------------------------------------
Date:    Sun, 19 May 96 19:08:37 JST
Thanks to: Takashi Yokoyama <yoko@yk.rim.or.jp>
In fml-support ML's Count: 01189

bug fix in libfop.pl

------------------------------------------
Date:    Fri, 17 May 96 22:06:23 JST
In fml-support ML's Count: 01188

□変更：

X-Debug: if $debug && $rcsid
X-MLServer: $Rcsid if $Rcsid

$Rcsid の id の塊は debug info 以外には普通使わない
＃つぅか長過ぎる

patchlevel へ変更。rcsid sets <=> patchlevel infomation で
release version の情報を管理することにする。 

□ libsynchtml.pl MIME/Multipart image extension

□仕様

image/gif の部分を base64 decode して 別ファイルにし、

	</PRE><IMAGE SRC=適当な番号.gif><PRE>

------------------------------------------
Date:    Thu, 16 May 1996 10:03:53 +0900
Thanks to: Seiji Tateyama <tateyan@post.co.jp>

mimew.pl のMIME エンコーディング部分 FIX

------------------------------------------
Date:    Mon, 13 May 1996 17:28:33 +0900
Thanks to: Yonekura Masaki <yonekura@sbl.cl.nec.co.jp>

fml-2.0 delta
	fml.c bug

------------------------------------------
Date:    Fri, 3 May 96 05:17:07 JST
Thanks to: Takashi Yokoyama <yoko@yk.rim.or.jp>
In fml-support ML's Count: 01184

TYPO strip bracket code

------------------------------------------
Date:    Sat, 13 Apr 96 05:04:32 JST
Thanks to: Yuao Tanigawa <yuao@infonia.or.jp>
In fml-support ML's Count: 01155

bug fix of WholeMail for 
   fml.pl v 1.6.5.4, libfml.pl v 1.6.5.1, libsmtp.pl v 1.6.6

------------------------------------------
Date:    Thu, 11 Apr 96 14:42:09 JST
Thanks to: Masa-Michi Akashi <akashi@pure.cpdc.canon.co.jp>
In fml-support ML's Count: 01131

help file typo

------------------------------------------
Date:    Thu, 11 Apr 1996 15:15:48 +0900
Thanks to: Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>

the bug fix of inocmpatibility between 2.0 and 1.6 
libfml.pl get (solution is difficult though ...)

------------------------------------------
Date:    Sat, 6 Apr 96 04:24:19 JST
Thanks to: SHIROYAMA Takayuki <psi@fortune.nest.or.jp>
In fml-support ML's Count: 01128

------------------------------------------
Date:    Sat, 6 Apr 96 00:56:58 JST
Thanks to: SHIROYAMA Takayuki <psi@fortune.nest.or.jp>
In fml-support ML's Count: 01127

------------------------------------------
Date:    Wed, 20 Mar 96 21:51:13 JST
In fml-support ML's Count: 01079

the third ftp machine : ftp.phys.titech.ac.jp  (axion)
# In addition
# the first : axion.phys.titech.ac.jp (ftp on exelion.phys.titech.ac.jp)
# the second: beth.phys.titech.ac.jp

------------------------------------------
Date:    Mon, 4 Mar 96 13:04:19 JST
Thanks to: masaoka@gf.hm.rd.sanyo.co.jp (Nobuhiro Masaoka)
In fml-support ML's Count: 01054

bug of configure_fml

------------------------------------------
Date:    Fri, 1 Mar 96 15:01:39 JST
Thanks to: tana@sofia.ksp.fujixerox.co.jp (Yoshi "TANA" Tanaka)
In fml-support ML's Count: 01047

typo AUTO_REGISTERD_UNDELIVER_P

------------------------------------------
Date:    Sun, 18 Feb 96 17:05:15 JST
Thanks to: Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>
In fml-support ML's Count: 00993

patch of libnewsyslog.pl

------------------------------------------
Date:    Sat, 17 Feb 96 17:38:53 JST
Thanks to: Masayuki Fukui <fukui@sonic.nm.fujitsu.co.jp>
In fml-support ML's Count: 00981

&system() on 4.4BSD based OS in this season works not well.
but ...

------------------------------------------
Date:    Thu, 8 Feb 96 19:17:07 JST
Thanks to: Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>
In fml-support ML's Count: 00963

bug fix libra.pl for "admin matome ..." syntax

------------------------------------------
Date:    Tue, 6 Feb 96 12:59:37 JST
Thanks to: Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>
In fml-support ML's Count: 00960

bug of MSendrc.v4 

------------------------------------------
Date:    Tue, 30 Jan 96 04:53:22 JST
Thanks to: KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>
In fml-support ML's Count: 00953

bug fix of MemberStatus 

------------------------------------------
Date:    Mon, 29 Jan 1996 09:34:03 -0800
Thanks to: "=?ISO-2022-JP?B?GyRCSHU4fRsoQg==?=  =?ISO-2022-JP?B?GyRCMm1KOBsoQg==?= [Masafumi Higuchi]" <higuchi@nttlabs.com>

fml_local 's InSecure problem ...

------------------------------------------
Date:    Sat, 27 Jan 96 17:23:43 JST
Thanks to: Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>
In fml-support ML's Count: 00946

fix around  if ($COMMAND_CHECK_LIMIT-- > 0) { ...

------------------------------------------
Date:    Sat, 20 Jan 96 21:54:14 JST
Thanks to: Hideki Odagi <odagi@ohta.is.uec.ac.jp>
In fml-support ML's Count: 00937

fix of TYPO config.ph (cf/MANIFEST)

------------------------------------------
Date:    Sat, 20 Jan 96 20:29:59 JST
Thanks to: "N.Fukuoka" <fuk@tcp-ip.or.jp>
In fml-support ML's Count: 00936

not refer config.ph in archive.pl

------------------------------------------
Date:    Sat, 20 Jan 96 02:18:20 JST
Thanks to: umura@nn.solan.chubu.ac.jp (murayama fumitaka)
In fml-support ML's Count: 00934

bug fix of msend

------------------------------------------
Date:    Fri, 19 Jan 96 10:30:32 JST
Thanks to: umura@nn.solan.chubu.ac.jp (murayama fumitaka)
In fml-support ML's Count: 00929

delete $START_HOOK(should be not common) of msend.pl
-> $MSEND_START_HOOK

------------------------------------------
Date:    Fri, 29 Dec 95 21:45:19 JST
Thanks to: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00885

bug fix the &ReConfigProcedure;

------------------------------------------
Date:    Mon, 25 Dec 95 15:26:26 JST
Thanks to: tanigawa@tribo.mech.nitech.ac.jp (Yuao Tanigawa)
In fml-support ML's Count: 00875

fml v1.6.5.4, liblibrary v1.1.1 
bug fix of
	# library put

------------------------------------------
Date:    Thu, 21 Dec 95 18:10:02 JST
Thanks to: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00873

patch of librfc1153.pl: the bug of increment

------------------------------------------
Date:    Tue, 19 Dec 95 21:40:52 JST
Thanks to: umura@nn.solan.chubu.ac.jp (murayama fumitaka)
In fml-support ML's Count: 00866

changed to "matome 0 is 0 . not error";

------------------------------------------
Date:    Mon, 18 Dec 95 23:55:32 JST
In fml-support ML's Count: 00863

sorry the lack of thought that
a lot of people use without defining $MSEND_RC.

------------------------------------------
Date:    Mon, 18 Dec 95 20:27:12 JST
Thanks to: "No.6 Fukachan" <fukachan@phys.titech.ac.jp>
In fml-support ML's Count: 00860

	fml-Rel.1-final@ -> fml-1.6.5.4#307.tar.gz

------------------------------------------
Date:    Mon, 18 Dec 95 20:01:01 JST
Thanks to: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00859

bug of $Envelope{'macro:s'}.
see on this problem in fml-support ML's Count: 00860

------------------------------------------
Date:    Sat, 16 Dec 95 00:43:40 JST
In fml-support ML's Count: 00853

on NextStep 

    foreach (sort {$a <=> $b;} @FileCandidate) {

->
    sort {$a <=> $b;} @FileCandidate;
    foreach (@FileCandidate) {

? upgrade of gcc , perl resolves all problems?

------------------------------------------
Date:    Thu, 14 Dec 95 20:02:29 JST
Thanks to: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00844

I fixed doc/smm based on these reports, thanks a lot.

# Clean up and documentation campaingn
collect (undocumented) USER DEFINED VARIABLE for fml-1.6.5

Date:    Fri, 15 Dec 1995 17:43:19 +0900
Thanks to: kise@ocean.ie.u-ryukyu.ac.jp

and the extraction program

$_cf{'ADD2BODY'} in doc/smm ?

seems a bug of unlink temporary files in tmp/spool

------------------------------------------
Date:    Thu, 14 Dec 1995 21:10:41 +0900
Following: kise@ocean.ie.u-ryukyu.ac.jp

RFC1153_CUSTOM_HOOK of librfc1153.pl

------------------------------------------
Date:    Tue, 12 Dec 95 12:15:34 JST
Thanks to: tanigawa@tribo.mech.nitech.ac.jp (Yuao Tanigawa)
In fml-support ML's Count: 00842

libtraffic.pl 

o  月毎のメイル投稿量と、時間帯別の投稿量と、投稿者ベストテンに
 グラフを付けるオプション -g の追加。

o  いつから統計をとるか、日付を指定するオプション -f の追加。

o  いつまでの統計をとるか、日付を指定するオプション -t の追加。

o  ある特定の投稿者を指定して統計をとるオプション -u の追加。

o　ある特定のアドレスに関して統計をとるオプション -a の追加。

------------------------------------------
Date:    Mon, 11 Dec 95 21:31:16 JST
Thanks to: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00840

collection of (undocumented) USER DEFINED VARIABLE for fml-1.6.5
# Clean up and documentation campaingn

------------------------------------------
Date:    Mon, 11 Dec 95 11:22:39 JST
Thanks to: HAMADA Tadahisa <taratta@sv1.jca.or.jp>
Thanks to: リン・ラザフォードさん(sky@jca.or.jp)
In fml-support ML's Count: 00838

english translation of help (-> help.eng in the distribution)

------------------------------------------
Date:    Sat, 9 Dec 95 13:57:31 JST
Thanks to: soshi@maekawa.is.uec.ac.jp
In fml-support ML's Count: 00830

bug fix the check of command-pattern matching 
# $Envelope{'mode:uip'} = 'on'    if /^\#\s*(\w|-)+\s|^\#\s*(\w|-)+$/;

------------------------------------------
Date:    Fri, 8 Dec 95 21:35:17 JST
Thanks to: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00824

collection of (undocumented) USER DEFINED VARIABLE for fml-1.6.3.4
# Clean up and documentations campaign

------------------------------------------
Date:    Fri, 8 Dec 95 21:14:01 JST
In fml-support ML's Count: 00823

    $GET_FIELDS_START_HOOK 

飛ばすフィールド：
    $skip_fields  = 'Received|Return-Path|X-MLServer|X-ML-Name|';
    $skip_fields .= 'X-Mail-Count|Precedence|Lines|Return-Receipt-To'; # cc:mail

飛ばすフィールドをつけくわえる：
    $skip_fields .= $SKIP_FIELDS if $SKIP_FIELDS;

再利用するふぃーるど：
    $use_fields   = 'Date|Errors-to|Sender|Reply-to|To|Apparently-To|Cc|';
    $use_fields  .= 'Message-Id|Subject|From|';
    $use_fields  .= 'MIME-Version|Content-Type|Content-Transfer-Encoding';
再利用するふぃーるどをつけくわえる：
    $use_fields  .= $USE_FIELDS if $USE_FIELDS;

------------------------------------------
Date:    Fri, 8 Dec 95 18:56:22 JST
Following: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00818

Date:    Fri, 8 Dec 95 19:18:53 JST
In fml-support ML's Count: 00819

Cut Return-Receipt-To:
Cc:Mail; 
	Subject: Mime decode -> strip bracket -> MIME encode

------------------------------------------
Date:    Fri, 8 Dec 95 18:42:02 JST
In fml-support ML's Count: 00817

bin/fwix.pl  NROFF モード (すっげぇ いい加減)
	さぁ 次は二カ国語対応:-)

	$Envelope{'macro:m'}	= 'phys.titech.ac.jp';
	$Envelope{'macro:s'}	= 'axion.phys.titech.ac.jp';
	$Envelope{'macro:ca'}	= 'pollyanna';
	$Envelope{'macro:fqca'}	= 'pollyanna@axion.phys.titech.ac.jp';

------------------------------------------
Date:    Thu, 7 Dec 95 01:01:04 JST
Thanks to: umura@nn.solan.chubu.ac.jp (murayama fumitaka)
In fml-support ML's Count: 00812

Date:    Fri, 8 Dec 95 18:23:17 JST
In fml-support ML's Count: 00814

Date:    Sun, 10 Dec 95 02:57:29 JST
In fml-support ML's Count: 00834

Unixfrom == Maintainer O.K. ? (not resolved yet, but ...)

------------------------------------------
Date:    Tue, 5 Dec 95 15:31:06 JST
In fml-support ML's Count: 00805

@HOSTS			複数のsendmailの走っているマシン（非常時のセカンダリも含む）
$MCI_SMTP_HOSTS = N;	@HOSTS のうち Ｎ個 のマシンのsendmail をパラレルに使って
			（理論上での限界は）Ｎ倍配送を高速化する。
			Ｎは理論上 int と同じだろうが、普通は netmask できまるわな（笑）
			でも、他のドメインでも使えるから、int までいく（理屈、理屈）
			＃とくに actives の最後の方の人はうれしい

		ばぐ： actives の中をちゃんと考えてならべないと sendmail R8 の 
			HOST_CACHE がうまくいかせない可能性あり

------------------------------------------
Date:    Mon, 4 Dec 95 12:11:42 JST
In fml-support ML's Count: 00801

リリースノート書きました。

bin/fwix.pl
	html 形式をサポート
	今度は var/html/op/ の下に index.html と Chapeter ごとのhtml をつくる

bin/split_and_msend.pl 
	unix from のかたちの file の まとめ送り 
	ようするに obsolute の まとめ送りＲ１ の現代版（苦笑）
	PLAIN TEXT ONLY っすけど。

・ lha して uuencode する モード＃オプション名で悩む悩む…

・FIX libra.pl help, log
・FIX libfml.pl approve 

・ &daemon  (libutils.pl)
   は、今のプロセスをデーモンにします。

------------------------------------------
Date:    Fri, 1 Dec 95 21:57:28 JST
Thnaks to: kise@ocean.ie.u-ryukyu.ac.jp
In fml-support ML's Count: 00797

We adopt 
	&GenInfo in libutils.pl -> &$GEN_INFO ..

TYPO FIX
	$AUTO_REGISTRATION_LINES_LIMIT = 0;

------------------------------------------
Date:    Fri, 1 Dec 95 11:17:45 JST
Thanks to: tanigawa@tribo.mech.nitech.ac.jp (Yuao Tanigawa)
In fml-support ML's Count: 00796
also In fml-support ML's Count: 00800

When "zcat" search is checked, we supporse "zcat",
so if you use "gzip"

	$ZCAT		= "/usr/local/bin/gunzip";
	$ZCAT_OPTION    = "-c";

After long time, this problem is fixd _o_

------------------------------------------
Date:    Tue, 28 Nov 95 08:18:04 JST
In fml-support ML's Count: 00771

msend.pl -q

------------------------------
At  Tue, 21 Nov 95 18:24:40  JST

libsmtp.pl,v 1.6.2.4 
	resolves the problem on the error in sending-back $DIR/welcome file.
&daemon (libutils.pl)
	4.4BSD daemon() emulation

------------------------------
At  Tue, 21 Nov 1995 12:51:09 +0900
Thanks to  Yoshihiko Yamada <yyamada@blue.giken.cac.co.jp>

FIX doc/op bug

------------------------------
At  Mon, 20 Nov 95 21:39:37  JST

$START_HOOK in MSendv4.pl

------------------------------
At  Mon, 20 Nov 95 20:19:30  JST
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

FIX fml.pl
      next line if /^$MAIL_LIST/io; # no loop back

------------------------------
At  Sat, 18 Nov 95 01:07:23  JST

Move the file operation functions to libfop.pl 
FIX libra.pl help, log
FIX libfml.pl approve 

New Mode:	lha + uuencode 

@HOST is the secondary servers of SMTP

------------------------------
At  Wed, 15 Nov 1995 10:52:03 +0900
Thanks to  Keiji Satoh <sato@abiko.denken.or.jp>

fix libremote.pl 
                     '#admin:help',       $ADMIN_HELP_FILE,

fix libutils.pl
!     if ($Envelope{'nlines'} < $limit) { 
!       &Log("Not deliver: lines:$Envelope{'nlines'} < $limit");

------------------------------
At  Tue, 14 Nov 1995 21:42:59 +0900
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

FIX 	TYPO (doc/op)
	$AUTO_REGISTRATION_LINES_LIMIT (doc/op)
	inconsistency between config.ph and doc/op
		$SECURITY_LEBEL                                      ...   6.14

------------------------------
At  Tue, 14 Nov 1995 20:33:41 +0900
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

FIX link dependence in doc, %ln -s files ../
	e.g. README, FAQ

fix strange permission 

------------------------------
At  Mon, 13 Nov 1995 22:33:28 JST

# library (liblibrary.pl)
	put, get, index, summary

# whois 
# iam 
# who 

Extension:  whois -h host
if the option "host" is given, try to connect the host via TCP/IP. 

# traffic 
AUTHOR: 谷川 百明生 さん  tanigawa@tribo.mech.nitech.ac.jp 

REJECT ILLEGAL Addresses
	$REJECT_ADDR = "|nobody|nazo-no-hito";

libsendfile.pl (Old name is SendFile.pl)

4.4BSD like bin/cron.pl 
   cron.pl DIR -b43 when you use 4.3BSD-like cron

libsmtp.pl autoconversion to JIS.

libutils.pl ish+lzh mode bug fix

libref.pl  	（libexec/sid.pl Standard)
	library to understand URL
	http://host/something  
	gopher://host/something 
	ftp://host/something -> libftp.pl

	if the result is binary, uuencode and send back it

libftp.pl   	（libexec/sid.pl Standard)
	relay to the ftpmail server ($FTPMAIL_SERVER)
	local spool access (ftp interface)

fml_local:
	Built-IN function which split and send the given file 

Compatibilty code for before fml 1.5
	($COMPAT_FML15)

------------------------------
At  Sun, 12 Nov 1995 02:28:49 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

localhack/mnews-*

------------------------------
At  Fri, 10 Nov 1995 16:08:06 +0900
Thanks to  Masanori Saito <saito@cad.umeda.omronsoft.co.jp>

FIX
    if ($Envelope{'nline'} < $limit) { 
                   ^^^^^
        &Log("Not deliver: lines:$Envelope{'nline'} < $limit");
                                            ^^^^^
------------------------------
At  Wed, 8 Nov 1995 16:15:00 +0900
Thanks to  toshi@he.kobelcosys.co.jp (Toshihiko Ueki/植木敏彦)

FIX  sbin/configure_ph
	trap "rm -f $TEXT" 0 1 3 5 15

------------------------------
At  Wed, 08 Nov 1995 14:10:41 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

We do not change the present implementation for sendmail 8.7.x

        Add NoRecipientAction option to handle the case where there is
                no legal recipient header in the message.  It can take
		………

------------------------------
At  Wed, 08 Nov 1995 03:52:30 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

update help.example2 

------------------------------
At  Wed, 08 Nov 1995 02:59:21 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>
	 mail: unknown mailer error 139) 

FIX  &AutoRegist(*Envelope); in fml.pl
              ^^^^^^^^^^^

------------------------------
At  Tue, 7 Nov 95 18:10:40 JST
Thanks to  tanigawa@tribo.mech.nitech.ac.jp (Yuao Tanigawa)

libtraffic1.0.0.4.tar.gz

------------------------------
At  Tue, 31 Oct 1995 01:38:58 JST

libsynchtml.pl
&SyncHtml($HTTP_DIR, "$HTTP_DIR/$ID", *Envelope);

------------------------------
At  Sat, 28 Oct 1995 00:14:29 JST

fml-RCS#"COMPILED_NUMBER".tar.gz

------------------------------
At  Fri, 27 Oct 1995 15:27:10 +0900
Thanks to  Naoto_Sudoh <l_sudo@nkjew55.nims.nec.co.jp>

libsmtp.pl:    print SMTPLOG ('-' x30)."\n";
x30 -> x 30. it seems a bug of the old perl 4.x.
So jperl cannot handle it correctly.
Anyway we should use the "x 30" form.

------------------------------
At  Wed, 25 Oct 1995 11:40:40 +0900
Thanks to  Kohji Yamazaki <yamazaki@fne.fujitsu.co.jp>
Thanks to  Yu Ooasa <y0u@pisces.bekkoame.or.jp>

libexec/fml_local.pl bug fix series:-)

------------------------------
At  Mon, 23 Oct 1995 02:00:59 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

A bug of the $Envelope{'Hdr'}

------------------------------
At  Sat, 21 Oct 1995 21:27:32 JST
Thanks to MURAYAMA Fumitaka =?ISO-2022-JP?B?GyRCQjw7M0o4OScbKEI=?= <umura@nn.solan.chubu.ac.jp> 

fix configure_fml for tr's difference in several platform.
tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`

bug fix of a ChangeMemberList when unsubscribe
# unsubscribe != bye in it

At  Mon, 16 Oct 1995 17:55:30 +0900
/etc/mail/sendmail.cf in Solaris2 

------------------------------
At  Sat, 14 Oct 1995 23:58:25 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

fix reply-to: in handling Envelope{'message'}

configure_fml can operate the block to overwrite not remove all the last block in the file.

------------------------------
At  Sat, 14 Oct 1995 21:07:13 JST

new libftpmail.pl using libhref.pl
	$FTP_DIR        = '/var/local/ftpmail';
	$FTP_HELP_FILE  = '/var/local/ftpmail/help';

------------------------------
At  Sat, 14 Oct 1995 13:12:38 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

Fix the order in &Distribute for MIME decoding.

------------------------------
At  Sat, 14 Oct 1995 12:13:19 +0900
Thanks to star@eos.hokudai.ac.jp

Fix the error of handling $Reply_to in libcompat.pl

------------------------------
At  Sat, 14 Oct 1995 09:19:53 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

    $s .= "   ".($c || $addr)"."\n\n"; in GenInfo 

------------------------------
At  Sat, 07 Oct 1995 23:27:04 JST

Data structure is "call by reference"

------------------------------
At  Mon, 2 Oct 95 13:49:29  JST
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

FIX 
	sub Lock 
	{ 
	    require 'liblock.pl' unless $USE_FLOCK;
	    $USE_FLOCK ? &Flock : &Lock;
	}

------------------------------
At  Mon, 2 Oct 95 01:43:58  JST

%Envelope 

------------------------------
At  Mon, 2 Oct 95 01:32:57  JST

snapshot/ of Current: fml-current*.tar.gz 

------------------------------
At  Fri, 29 Sep 95 20:47:44  JST

Check $MAIL_LIST != $MAINTAINER at the first stage

Message-ID Duplication Check against loop check

Generate Original Message-ID for the loop check

Fully Qualified Name via $MALI_LIST not via gethostbyname

fml_local 1.1 bug fix 

chaddr old-address new-address

    # Exceptional procedure KEYWORD to detect before &CheckMember
    # CHECK KEYWORDS. Default is 'guide'
    $GUIDE_KEYWORD  = $GUIDE_KEYWORD  || 'guide'; 

sitedef.ph 

bin/inc_via_pop.pl 
	/usr/local/mh/inc -noapop -norpop -host .. 

------------------------------
At  Fri, 29 Sep 95 14:54:38  JST
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

FIX libfml.pl	
SHOULD RESET REPLY-TO: which is "to: maintainer";

------------------------------
At  Fri, 29 Sep 1995 09:34:12 +0900
Thanks to  YANO Hirokuni <hyano@cs.titech.ac.jp>

<> of $Message_Id 

------------------------------
At  Sun, 17 Sep 95 15:25:23  JST
Thanks to  Shoichi SAITO <saito@sol.cs.ritsumei.ac.jp>

Count the number of recipients in &Distibute for Matome-Okuri-Only-Mailing-list

------------------------------
At  Sat, 16 Sep 95 22:19:44  JST

mget3 

bin/vipw.pl -f members $DIR 

# index			the list you can get via fml

SID:
	libexec/sid.pl 	etc/sid.ph 	etc/sidrc	etc/help.sid

$REMOTE_ADMINISTRATION_REQUIRE_PASSWORD 
	OBSOLUTE: REMOTE_AUTH (TYPO で REMORE_AUTH) が古い変数名。
$REMOTE_ADMINISTRATION が新しい変数名
どっちの変数でもOK:-)

INFO in using $TRAILER_MAILBODY 

	$PREAMBLE_MAILBODY
	$TRAILER_MAILBODY

------------------------------
At  Sat, 16 Sep 1995 14:51:35 +0900
Thanks to  "H.Sumida" <alta@ryozan.bekkoame.or.jp>

Address check for specific domains 
	%SEVERE_ADDR_CHECK_DOMAINS = (
			      'iijnet.or.jp', 1,
			      'bekkoame.or.jp', 1,
			      'rim.or.jp', 1,
			      'win.or.jp', 1,
			      );

Against dupilicate user-account-name in network-provider
e.g. 
	account@ppp.domain
	account@uucp.domain
	account@cc.domain
are available even today. 

------------------------------
At  Sat, 16 Sep 95 02:19:30  JST

X-ML-INFO

------------------------------
At  Wed, 13 Sep 95 13:03:31  JST
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

FIX 
    $GUIDE_REQUEST = 1 if /\#\s*guide\s*$/io;
	and
    Subject: guide 
    problem

------------------------------
At  Thu, 7 Sep 95 22:19:14  JST
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

FIX 	fml-1.5.5/lib/Whois/help

------------------------------
At  Mon, 28 Aug 1995 04:30:24 +0900
Thanks to  YANO Hirokuni <hyano@cs.titech.ac.jp>

FIX fml.pl
   -> if ($LOAD_LIBRARY && $PROHIBIT_COMMAND_MODE && $ENCOUNTER_PLUS) {

------------------------------
At  Wed, 23 Aug 95 15:43:32  JST

Add  UNIX FROM if the mail header has no UNIX FROM. 
	remove $SLOCAL_FIX_PIPE 

&SendFile:
	if no \n = \012 in the last of the file, add them

$PROHIBIT_COMMAND_MODE

libexec/fml_local.pl
	for ~/.forward 

------------------------------
At  Thu, 17 Aug 95 16:40:51  JST

/bin/sh5 when ultrix 4.x 
TYPO FIX  for 1.5.2.x(x≦３) 

------------------------------
At  Thu, 10 Aug 95 20:49:00  JST

Resolve Socket problem for SOlaris 2.x
	$COMPAT_SOLARIS2 

bin/vipw.pl	

------------------------------
At  Thu, 10 Aug 1995 15:13:50 +0900
Thanks to  YANO Hirokuni <hyano@cs.titech.ac.jp>

FIX %Procedure entry in libfml.pl

------------------------------
At  Tue, 8 Aug 95 11:16:46  JST
Thanks to  仙石敏男 <sengoku@intsys.co.jp>

FIX sbin/configure_ph

	trap "rm -f __*__  /tmp/fml$$ $MYREAD $TEXT $CONFIGURE" 0 1 3 15
	and TYPO on ";"

------------------------------
At  Thu, 03 Aug 1995 17:33:02 JST

"make SH=/bin/sh5 " is available

------------------------------
At  Tue, 01 Aug 1995 20:13:56 +0900
Sender: Watanabe.Maki@tko.dec-j.co.jp

Fix Configure for ULTRIX 4.x

------------------------------
At  Thu, 20 Jul 95 20:27:13  JST
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

Extension of libftpmail.pl (old type, not using libhref.pl)
#This patch is unified to libhref.pl today.

------------------------------
At  Tue, 18 Jul 95 14:57:53  JST
Thanks to kasa@komae.denken.or.jp

FIX the generation process of helps for phys.titech.ac.jp local

------------------------------
At  Mon, 17 Jul 95 18:19:02  JST

umask 022 at the first stage of SyncHTMLfiles.pl 
	for nobody permission

$NOT_USE_UNIX_FROM_LOOP_CHECK 

------------------------------
At  Sat, 8 Jul 95 17:40:33  JST

Fix the scope of @ipc

"#number" form of FAQ (FAQ additional version control)

bin/geturl.pl 

------------------------------
At  Thu, 06 Jul 1995 00:27:58 +0900
Thanks to  hiraki@bcl.t.u-tokyo.ac.jp  

Fix $exec_key -> $forward_key 

------------------------------
At  Mon, 3 Jul 95 17:04:19  JST
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

when $SUBJECT_HML_FORM
	local($ID) = sprintf("%05d", $ID);

------------------------------
At  Sun, 02 Jul 1995 09:20:44 +0900
Thanks to  MURAYAMA Fumitaka 村山文孝   <umura@nn.solan.chubu.ac.jp>

FIX " mv $1 $2 " of bin/Archive.cron

------------------------------
At  Wed, 28 Jun 95 11:52:10  JST
Thanks to  Seigo Kishiba <kishiba@ipc.hiroshima-u.ac.jp>

FIX libsmtp.pl
	replacement from '------' to  '- ------' of RFC934 

------------------------------
At  Tue, 27 Jun 95 19:12:57  JST
Thanks to  kise@ocean.ie.u-ryukyu.ac.jp

FIX MSendv4.pl around Default of $DEFAULT_WHEN variable

------------------------------
At  Sat, 24 Jun 95 03:23:47  JST
Thanks to  KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>

Fix Makefile ( what is "gar":-)

------------------------------
At  Fri, 23 Jun 95 23:42:13  JST

UNIX FROM loop check
variable scope of www-mail 
fix &system of libftpmail.pl

&conv2mailbox for reply-to and to

------------------------------
At  Thu, 22 Jun 1995 19:44:09 JST
Thanks to  mikami@ss.ts.fujitsu.co.jp

FIX guide of fml-support ML

------------------------------
At  Thu, 15 Jun 1995 10:34:14 +0900
Thanks to  Yukio Endo/遠藤由妃夫  <endo@engvan.isdg.ho.nec.co.jp>

Fix the bug of patch below

	At  Wed, 14 Jun 1995 20:48:27 JST
	FIX around Reply-to (fukachan@phys.titech.ac.jp)

------------------------------
At  Sun, 11 Jun 1995 03:32:13 JST
Thanks to  KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>

FIX fml 1.4.9.4  FAQ 

---------------------------
I also thank Mr. Ikuta (c1977@crcsn82.mdc.crc.co.jp) for private
communication on mime_pls 1.00a.

---------------------------
Thanks to a lot of collaborations and patches
MURAYAMA Fumitaka 村山文孝   <umura@nn.slan.chubu.ac.jp>
23 May 1995 - 95/6/9

patch for the fixes
	fml.pl
	libfml.pl
	libutils.pl
	MSendv4.pl

subscribe extension in MEMBER CHECK MODE
	fml.pl 
	libutils.pl
	help.example2

$SMTP_OPEN_HOOK check
	$To
	$PRECEDENCE

sub AutoRegist 
	works for both active and member called in MEMBER_CHECK_MODE
	@ syntax check
	check duplication in registration

	REGEXP not works well in some perl version?
	I change -> first "get a line" and grep

rsummary and summary are combined as [optional]

newsyslog.sh	(umura@nn.slan.chubu.ac.jp)
newsyslog.pl	(fukachan@phys.titech.ac.jp)
bye == unsubscribe(fukachan@phys.titech.ac.jp)
------------------------------
Thanks to    ushida@kronos.mp.es.osaka-u.ac.jp (Jun Ushida)
At     Fri, 09 Jun 1995 02:58:36 JST

OSF/1 Alpha AXP V2.1 is OK when using sendmail 8.6.12. 

---------------------------
At     Mon, 05 Jun 1995 19:42:56 JST

fix around @ARCHIVE_DIR = ('old');
fix in 1.4 but inconsistent between 1.4 -> 1.5

------------------------------
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>
At     Mon, 05 Jun 1995 14:35:36 JST

patch for TYPO	$SUPERFLUOUS_HEADER

------------------------------
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>
At     Fri, 02 Jun 1995 18:24:21 JST

first, last, cur syntax

------------------------------
Thanks to    Yukihiro KIKUCHI <kikuchi@karen.rim.or.jp>
At     Thu, 01 Jun 1995 03:03:32 JST
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>
At     Fri, 02 Jun 1995 18:35:34 JST

COMMENTS ON REQUIRE UNIX FROM LOOP CHECK

------------------------------
Thanks to    Tsutomu ONODERA <onodera@st.rim.or.jp>
At     Thu, 01 Jun 1995 20:02:07 JST

local declare problem in RFC1533 (PREAMBLE..) routine

------------------------------
Thanks to    hogawa@mesh.ad.jp
At     Wed, 31 May 1995 00:07:21 JST

TZ identifier in SunOS 4.1.3_U1(English)
$ENV{'TZ'} = 'Japan';

------------------------------
following to  Katsuya Tachibana <tachib@ic.mi.sanno.ac.jp>
At     Mon, 29 May 1995 10:53:25 JST

extension for From_address check using  UNIX FROM syntax

------------------------------
Thanks to    Takashi Shimizu <tshimizu@ss.titech.ac.jp>
At     Tue, 23 May 1995 21:47:18 JST

fix sbin/ccfml.pl

---------------------------
Thanks to    Tsutomu ONODERA <onodera@st.rim.or.jp>
At     Mon, 22 May 1995 12:35:00 JST

now on AGAINST_NIFTY is of no use.  

---------------------------
Thanks to    MATOBA Hirozumi <matoba@marmalade.rim.or.jp>
At     Sun, 21 May 1995 00:08:26 JST

on 1.4.1 default configuration bugs

------------------------------
Thanks to    subuta <t-sumita@ccs.mt.nec.co.jp>
At     Thu, 18 May 1995 21:43:28 JST

DOCUMENT FIXES

------------------------------
Thanks to    Kunihiro Ishiguro <kunihiro@nis.co.jp>
At     Wed, 17 May 1995 13:31:49 JST

on mirror setting 
Official mirror is set for foreign countries

------------------------------
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>
At     Wed, 17 May 1995 03:01:00 JST

DOCUMENT FIXES

------------------------------
Thanks to    Koichiro MikaMi 三上浩一朗 <mikami@saturn.hcs.ts.fujitsu.co.jp>
At     Tue, 16 May 1995 23:21:46 JST

support of MIME/Multipart fix patch

------------------------------
Thanks to    Tsutomu ONODERA <onodera@st.rim.or.jp>
At     Tue, 16 May 1995 19:48:36 JST

RFC1153 bugs

------------------------------
Thanks to    Katsuya Tachibana <tachib@ic.mi.sanno.ac.jp>
At     Fri, 12 May 1995 12:39:40 JST

fix on the explanation of remote administration

------------------------------
Thanks to    NISHIJIMA Takanori / 西島孝徳 <racsho@pure.cpdc.canon.co.jp>
At     Thu, 11 May 1995 20:02:28 JST

on enbuged MSendv4 OUTPUT Message 

------------------------------
Thanks to    NISHIJIMA Takanori / 西島孝徳 <racsho@pure.cpdc.canon.co.jp>
At     Thu, 11 May 1995 07:52:59 JST

new version of MSendv4.pl bugs on = -> .=
#correction to " append "

------------------------------
Thanks to    HARASAWA Yasushi <harasawa@is.titech.ac.jp>
At     Mon, 08 May 1995 17:30:48 JST

on 1.4.1 default configuration bugs

------------------------------
Thanks to    Nobuyuki Miura <miura@cs.titech.ac.jp>
At     Fri, 05 May 1995 14:38:18 JST

$SPOOL_DIR bugs on the built-in "spool" string.

------------------------------
Thanks to    Katsuya Tachibana <tachib@ic.mi.sanno.ac.jp>
At     Mon, 01 May 1995 18:59:52 JST

SECURITY_LEBEL TYPO

------------------------------
Thanks to    "N.Fukuoka" <fuk@hby.toshiba.co.jp>
At     Fri, 28 Apr 1995 07:35:24 JST

Old verions MSendv4.pl crash in Version 5.001 since 
the evaluator is insane? 

------------------------------
Thanks to    Katsuya Tachibana <tachib@ic.mi.sanno.ac.jp>
At     Wed, 26 Apr 1995 12:57:40 JST

comments on expiration 

------------------------------
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>
At     Tue, 25 Apr 1995 04:17:08 JST

MESSAGE-ID

------------------------------
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>
At     Tue, 25 Apr 1995 03:43:58 JST

simulation codes are also included in distribution code. 
fix the security hole

------------------------------
Thanks to    Koichiro MikaMi 三上浩一朗 <mikami@saturn.hcs.ts.fujitsu.co.jp>
At     Thu, 20 Apr 1995 00:12:43 JST

around 1521

------------------------------
Thanks to    Shigeki Morimoto <mori@isc.mew.co.jp>
At     Fri, 14 Apr 1995 13:59:05 JST

fix lha and ish variable syntax

rehash mechanism comment on # matome 0
#implemented later

------------------------------
Thanks to    Shigeki Morimoto <mori@isc.mew.co.jp>
At     Thu, 20 Apr 1995 10:43:42 JST

suggestion on MIME/decoded spooling 

------------------------------
Thanks to    Koichiro MikaMi 三上浩一朗 <mikami@saturn.hcs.ts.fujitsu.co.jp>
At     Wed, 19 Apr 1995 18:51:56 JST

supoort of MIME/Multipart 

------------------------------
Thanks to    Shigeki Morimoto <mori@isc.mew.co.jp>
At     Tue, 18 Apr 1995 10:52:35 JST

patch for errors when multiple matched conditions for MSendv4.pl 

------------------------------
Thanks to    Shigeki Morimoto <mori@isc.mew.co.jp>
At     Fri, 14 Apr 1995 09:12:54 JST

skip if &AddressMatch($From_address, 'fukachan@phys.titech.ac.jp');

------------------------------
Thanks to    Satoshi Yatagawa <u93b217@cc.teu.ac.jp>
Thanks to Hitoshi Doi/土井仁志 <doi@jrd.dec-j.co.jp>
At  Thu, 13 Apr 1995 10:57:54 +0900

on OSF/1 

---------------------------------

---
At     Thu, 13 Apr 1995 20:31:54 JST
following Shigeki Morimoto <mori@isc.mew.co.jp>

Not distribute when From == onwer ;

$START_HOOK = q#
	$skip{'fukachan@phys.titech.ac.jp'} = 1
		if &AddressMatch($From_address, 'fukachan@phys.titech.ac.jp');
#;
---
At     Thu, 13 Apr 1995 15:33:19 JST
Thanks to    Shigeki Morimoto <mori@isc.mew.co.jp>

fml.pl 's bug on 
removing  Re:*  Syntax in Subject 

---
At     Mon, 10 Apr 1995 20:54:03 JST
Thanks to NISHIJIMA Takanori / 西島孝徳 <racsho@pure.cpdc.canon.co.jp>

on  configure_fml 94:if [ -n $D ]
on libutils.pl 487:	$s .= ' [PLAINTEXT]' <";">?

---
At     Fri, 07 Apr 1995 20:31:58 JST
Thanks to    honmat@st.rim.or.jp (Honma Takeru)

an enbug on HML_SUBJECT_FORM

---
At     Fri, 07 Apr 1995 18:37:20 JST
Thanks to    "I. Tamagawa" <tama@ihas.nagoya-u.ac.jp>

a case on Solaris 
SUN SS-20   Solaris 2.4 (SunOS ihas 5.4 Generic_Patch sun4m sparc)
sendmail.8.6.11+2.5Wbeta2
perl perl5.001

a comments on Makefile and Configure's bugs description

---
At     Mon, 03 Apr 1995 23:58:22 JST
following    koyachi@mel.go.jp (Noriho Koyachi)

>> ># get fy1994/1
>> ># get fy1994/summary

---
At     Fri, 31 Mar 1995 18:59:03 JST
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>

on rfc821  4.5.2 TRANSPARENCY

---
At     Mon, 27 Mar 1995 23:55:02 JST
Thanks to    KOYAMA Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>

spell check :-)

------
At     Fri, 24 Mar 1995 13:31:45 JST
following makoto@tsurumi.toshiba.co.jp (Kazunori 'Noriko------

SJIS conversion in ish+lzh mode

------
At     Thu, 23 Mar 1995 11:28:30 JST
Thanks to    domeki@m1e08.trd.tmg.nec.co.jp (Tomoyasu Domeki)

MIME decoding of SyncHTMLfiles.pl

------
At     Wed, 22 Mar 1995 17:30:03 JST
Thanks to    KGK = Keiji Kosaka <kgk@mp.okayama-u.ac.jp>

in config.ph
$TZone         = ' JST'; 	#$TZone	= '+0900';
->
$TZone         = 'JST'; 	#$TZone	= '+0900';

fixing to the correct RFC822 form.

---
At     Wed, 22 Mar 1995 13:44:26 JST
following domeki@m1e08.trd.tmg.nec.co.jp (Tomoyasu Domeki)

on SyncHTMLfiles.ph, fix README and Makefile

---
At     Wed, 15 Mar 1995 17:45:41 JST
following Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>
> 本文に subscribe と書いて登録してもらいたい時に、他のコマンドメー
>ルからの類推で "# subscribe" と書いてしまう人が多いようです。こ
> つまり、"subscribe" でも "# subscribe" でも "#subscribe" でも大

---
At     Fri, 10 Mar 1995 18:53:14 JST
Thanks to    KGK = Keiji Kosaka <kgk@mp.okayama-u.ac.jp>

on mget 
on ftpmail 
conflict between codes and README

---
At     Fri, 10 Mar 1995 12:50:00 JST
Thanks to    Yasushi Mochizuki <yasushi@pier.fuji-ric.co.jp>

#member nocheck
return 1 if(/^\+/o);
fix 'close member file'; in fml.pl

---
At     Thu, 09 Mar 1995 12:12:12 JST
Thanks to    KGK = Keiji Kosaka <kgk@mp.okayama-u.ac.jp>

・fml.pl と SendFile.pl の先頭を '#!/usr/local/bin/perl -U' にしないと
　サーバの実行中にエラーが出て止まってしまう．(cd の辺りだったかな？)
　perl は GNU の perl-4.036.tar.gz を使ってます．

---
At     Wed, 08 Mar 1995 15:49:40 JST
Thanks to    KGK = Keiji Kosaka <kgk@mp.okayama-u.ac.jp>

on  HP9000

'# mget' bug (but must be fixed already in 1.3.1.16 series.)

sent-back name on  spool.tar.gz and  uja.gz 
on ftpmail

a bug of libsmtp.pl 
<・一仕事終った後，必ず '500 Command unrecognized' が log に残る．>

---
At     Wed, 08 Mar 1995 09:25:11 JST
Thanks to    Yasushi Mochizuki <yasushi@pier.fuji-ric.co.jp>

should use kanji convertor e.g. nkf when using Cc:mail 

---
At  Mon, 06 Mar 1995 14:44:21 JST
Thanks to "Oota Toshiya" <oota@nadia.pes.com1.fc.nec.co.jp> 

Add a close description around passwd to README in lib/libhml. 

---
At  Mon, 06 Mar 1995 09:42:07 JST
Thanks to Yasushi Mochizuki <yasushi@pier.fuji-ric.co.jp>

patch in libutils.pl
$Subject =~ /^[\033\050\112]\s*$REQUIRE_SUBSCRIBE\s*$/i
agains a bug of CC:Mail

---
At  Mon, 27 Feb 1995 20:39:12 JST

MSendv4.pl 午前５時一日一回おくりも可能にする。
cut parameters of e.g. skip, off, ... 

At  Mon, 27 Feb 1995 19:41:25 +0900
suggested by  to K_Katayama <t91124kk@sfc.keio.ac.jp>

---
At  Sat, 25 Feb 95 14:16:52  JST
Following hasegawa@cec.co.jp (Ryouji Hasegawa)

# admin change old-addr new-addr

---
At  Fri, 24 Feb 95 14:14:02  JST
Following s-v@utsc.s.u-tokyo.ac.jp (Kobayashi 'COURAGE' Hidetaka)

# admin matome \S+ address

------
At  Wed, 22 Feb 1995 12:31:36 +0900
Thanks to makoto@tsurumi.toshiba.co.jp (Kazunori 'makoto' Tsuda)

AddressMatching bug fix

---
At  Tue, 21 Feb 95 14:34:36  JST
Thanks to Satoshi Yatagawa <u93b217@ed.teu.ac.jp>

in default, we set $Reply_to = $MAINTAINER in Sendv4.pl 

---
At  Thu, 9 Feb 1995 18:18:36 +0900
Thanks to koide@ecs.hiroshima-u.ac.jp

exception for  # GUIDE 

---
At  Fri, 27 Jan 95 21:39:23  JST

1.3.2 distribution relaase?

---
At  Sat, 28 Jan 95 00:15:22 +0900
Thanks to Satoshi Yatagawa <u93b217@ed.teu.ac.jp>

patch for libremote.pl for the case of using "# msg".
cut off the exception of "# check routine".
So I create Start_Hopk evaling.

---
At  Fri, 13 Jan 95 19:40:42 JST
Thanks to NAKAGAWA Tsuneo <nakagawa@cracker.tokai.jaeri.go.jp>

For Winbiff, recheck libsmtp.pl,
It seems in winbiff eror when call getpwuid()..

---
At  Tue, 10 Jan 95 01:07:43  JST
Following Satoshi Yatagawa <u93b217@ed.teu.ac.jp>

Extension of "get".

# get \d+.tar.gz 

is a syntax of searching \d+.tar.gz in archive directories.
#automaticaly call "mget" for sending back split-files

---
At  Sun, 08 Jan 1995 23:31:06 +0900
Tnanks to toshi@super.win.or.jp

test on OSF/1.
libR8.pl logs syslog, which is confusing.
I rewrite libo2smtp.pl.

---
At  Sat, 07 Jan 1995 23:34:06 +0900
Thanks to toshi@super.win.or.jp

embugs around GetTime on MSendv4.pl.

---
At  Wed, 21 Dec 1994 22:13:07 +0900
Thanks to Kazuhiro KAWAGOME <kawagome@dret.ilab.toshiba.co.jp>

aournd consistency in sub GetFieldsFromHeader.

---
At  Thu, 15 Dec 94 23:11:22  JST

I thank  
Takenobu HEAD Shimizugashira <kashira@ss.titech.ac.jp>
s-v@utsc.s.u-tokyo.ac.jp (Kobayashi Hidetaka)
,members of crosspost EXPERIMENT team, for a test of crosspost
operation PHASE II.

---
At  Wed, 7 Dec 94 21:01:13  JST
Thanks to Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>

bug fix of FAQ

---
At  Tue, 22 Nov 1994 22:12:23 +0900
Thanks to Izuru Shirai <shirai@syrinx.gen.u-tokyo.ac.jp>

on aish, ftp://yseult.gen.u-tokyo.ac.jp/pub/gifts

---
At  Tue, 22 Nov 94 14:22:56  JST
Thanks to hasegawa@cec.co.jp (Ryouji Hasegawa)

around the severity of member-check in MatomeOkuri

---
At  Mon, 21 Nov 94 15:20:30 JST

English version of INSTALL

---
At  Fri, 18 Nov 1994 06:40:51 JST
Thanks to Koyama Youichi <koyama@kutsuda.kuis.kyoto-u.ac.jp>

rfc821 4.5.2 TRANSPARENCY, but fixed later _o_

---
At  Wed, 16 Nov 94 16:11:13  JST
Thanks to hasegawa@cec.co.jp (Ryouji Hasegawa)

patch of libremote.pl(in that days libadmin.pl, I wonder...).
	# admin on/off/by  (libremote.pl,v 1.0)
	# mget 1-3 ish   (libnounistd.pl,v 0.4)

---------------------------------------
Found of enbuged codes in libsmtp.pl Howerver I have found even
correct stat syntaxes return incorrect values, so I fundamentally
rewrote codes around stat() calls to use stat() calls explicitly.

At  Thu, 10 Nov 94 03:31:03  JST
Thanks to s-v@utsc.s.u-tokyo.ac.jp (Kobayashi Hidetaka)

At  Wed, 9 Nov 94 17:16:46  JST
Thanks to Shuichi Minamino / =?ISO-2022-JP?B?GyRCRm5Mbj0oMGwbKEI=?= <dcshimod@knctgw.cc.knct.ac.jp>

At  Mon, 31 Oct 94 11:49:11  JST
Thanks to =?ISO-2022-JP?B?GyRCO1Q2NkJuO0obKEI=?= <takuji@med.nagoya-u.ac.jp>

---
At  Wed, 9 Nov 94 21:31:22  JST
Thanks to Izuru Shirai <shirai@syrinx.gen.u-tokyo.ac.jp>

about information of "aish".  I suppose "aish" for a new verion of ish
codes.

---
At  Wed, 19 Oct 94 01:39:52  JST
Thanks to Takayuki-Hirai<hirai@emb.ccm.eng.osaka-u.ac.jp>

For jperl and perl each perl has each behaviour for some kinds of
regular expressions e.g. 
Subject: [Elena:502] ujauja .... .

So, I rewrite all codes of subject to simplify it. 

------
At  Tue, 18 Oct 94 09:01:41  JST
Thanks to Yukihiro Tanaka <tana@ed1.was.fc.nec.co.jp>

I rewrite a new SMTP library using sendmail -bs.

---
At  Thu, 13 Oct 94 17:30:16  JST
Thanks to Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>

Configure bug fix from  NEWS-OS 4.1C test operator

---
At  Thu, 15 Sep 94 22:14:30 JST
From: shige@theta.iis.u-tokyo.ac.jp (Shigeki Yoshida)
Message-Id: <9409151314.AA27134@theta.iis.u-tokyo.ac.jp>

JUS CD

---
Sat Sep 10 
Thanks to sha@harl.hitachi.co.jp

contrib/putfiles

	Original: sha@harl.hitachi.co.jp
	modified by fukachan@phys.titech.ac.jp

----------------------------
Sat Sep 10 03:08:45 JST 1994

libsmtp.pl checks the return value of sendmail and logs

----------------------------
At  Fri, 9 Sep 94 15:29:26  JST

FmlRemoteContorl

----------------------------
revision 1.2.2.7
date: 1994/09/07 11:39:55;

自動登録オプション
明示的な自動登録をするが例えばボディに subscribe と書いてもらう

------
At  Mon, 01 Aug 1994 18:46:48 +0900
Sender: msi@lakshmi.tdc.unisys.co.jp

Comments on "We should use 'Mail' not 'mail'. " in documents

----------------------------
revision 1.2.2.5
date: 1994/08/04 15:55:51;

自動登録オプション
明示的な自動登録をする 例えば Subject: subscribe とか書いてもらう

-----
Date: Mon, 01 Aug 1994 18:46:48 +0900
Thanks to msi@lakshmi.tdc.unisys.co.jp

In the document, we should use another command such as
mail ->
	Mail (SUN)
		mailx (SVR3/4)

#Consider other OS's except for BSD > fukachan@phys.titech.ac.jp:-)

---
At  Tue, 26 Jul 94 01:57:30  JST

● http://www.phys.titech.ac.jp/uja

●まとめ送り ver.1 形でなおかつ 本体の ML サーバでユーザーがまとめお
くり制御できるようにしました。＃まとめ送り ver.2 

●httpd アクセス ＆＆ 自動シンクロナイズ

---
At  Tue, 26 Jul 94 01:55:06  JST
Thanks to Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp> 

Bugs of sub Distribute around Auto-registration.

      next line if(/$CONTROL_ADDRESS/io);
->
      next line if($CONTROL_ADDRESS && /$CONTROL_ADDRESS/io);

----------------------------
revision 1.2.2.4
date: 1994/07/25 16:43:04;

fix around CONTROL_ADDRESS and anti-loopback mechanism

----------------------------
revision 1.2.2.3
date: 1994/07/14 12:11:24;

more severe check for loop back
warning to maintainer

----------------------------
revision 1.2.2.2
date: 1994/07/14 11:47:44;

no loop back trap mechanism
when reply-to: mailing list case under auto-registeration

---
At    Wed, 13 Jul 1994 04:27:11 JST
Thanks to asada@icsd6.tj.chiba-u.ac.jp

appreciate the point out of the idea using RFC934 when MatomeOkuri 
and an example of the code.
---
At  Fri, 8 Jul 94 19:37:08  JST
Thanks to 黒田  久泰  <kuroda@ais.kudpc.kyoto-u.ac.jp>

notify bugs of Makefile

---
At  Mon, 27 Jun 94 21:33:53  JST

I begin to write this RELEASE_NOTES:-)

---
At  Mon, 27 Jun 94 17:31:40  JST
Thanks to Koichiro MikaMi/三上　浩一朗　 <mikami@s42017.hcs.ts.fujitsu.co.jp>
Sender: mikami@s42017.ss.ts.fujitsu.co.jp

Report and patch on the difference of regrex reutine between perl and
jperl.

---
At  Sat, 25 Jun 94 15:43:06  JST
Following Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>

Begin to take a fix of "&Logging()" string order e.g. ($From_address)
FORM

----------------------------
revision 1.2.2.0
date: 1994/06/24 07:11:00;

lock の仕方（対象を）を変えることで、
・seekをつかわない
・lock algorithm toggle switching の非対象性をなくした

----------------------------
revision 1.2.1.8	
date: 1994/06/21 14:20:25;

pre release of 1.2.2 with new flock
use spool directory for flock file

----------------------------
revision 1.2.1.7

AUTO_REGISTER_DELIVER_P -> UNDELIVER_P
variable name is changed only.

----------------------------
revision 1.2.1.6
date: 1994/06/17 14:14:25;

ＮＩＦ対策

----------------------------
revision 1.2.1.5
date: 1994/06/17 12:32:33;

sub CheckMember is changed to
When Auto-registration mode, #\sEmail-address is effective for check.
that is OFF is also O.K.

----------------------------
revision 1.2.1.4
date: 1994/06/15 18:47:19;

libfml.pl is changed a log.
SendFile.pl is a new interface for mget.
maybe matome okuri would use SendFile interface(Msend ver.2)

-----
Date: Mon, 13 Jun 1994 13:40:47 +0900
Thanks to  makoto@hby.toshiba.co.jp 

automatic-registration design changes following the point out 

----------------------------
revision 1.2.1.3
date: 1994/06/13 13:18:49;

AdditionalCommandCheck is moved to before require libfml
main sequence is easier to understand , I wonder.
<STDIN> is required for foreach statement $_ change.
guide request is 3 lines is built-in parameter.

----------------------------
revision 1.2.1.2
date: 1994/06/10 15:28:35;

sub Parsing
Almost all the codes are changed.
using ..
MX-rms descriptor

----------------------------
revision 1.2.1.4.1.0	
date: 1994/06/17 10:59:06;

checkmember routine
is ML_NOCHECK #(.*) in members is effective.
so new auto-registration is not done.

----------------------------
revision 1.2.1.2.3.0	
date: 1994/06/11 20:21:15;

log @_ only
(in sub Logging)
Commandmode check is where is appropriate???
store after cp from paffy in fundamental.

---
At  Tue, 3 May 94 02:32:16  JST
Thanks to Nobuyuki Miura <miura@cs.titech.ac.jp>

patch for libsch.pl

---
At  Tue, 26 Apr 94 00:27:35  JST
Thanks to Nobuyuki Miura <miura@cs.titech.ac.jp>

fml contrib/Schwalben fixes and changes
on problems of libsch.pl

Finally our fixed is summarized to
	contrib/Schwalben/example-install.doc.

--------
Date: Wed, 20 Apr 1994 16:47:16 +0900
Tnaks to yamane@ngi.co.jp (Satoru Yamane)

Point out  bugs in INSTALL
source: RMAIL2fml.pl --- RMAIL to fml

---
At  Sun, 10 Apr 94 22:15:10  JST

fml 1.2 current 今までのところをまとめて fml 1.2.1 にして fj.sources
へ流しました。
bug reports、コメント、提案等ありがとうございました。

Release Version 1.2.1, contributed to fj.sources 
	Message-ID: <FUKACHAN.94Apr10222414@exelion.phys.titech.ac.jp>
	Message-ID: <FUKACHAN.94Apr10222520@exelion.phys.titech.ac.jp>

●ヘッダフィールドの形の保存
（fml 1.2では手抜きといっていた部分ですね。これによりサーバのプロセス
の前半がかなり違います。今度は縦書きSubjectも出来る:-)）

●MIME decoding機能（オプショナル）
SubjectはMIME decodeをしてsummaryファイルに記録しておく
＃using mimer.pl and jcode.pl

●サーバで予定していないヘッダフィールドは保存しておいて後でつける
（オプショナル）

●hml 1.6 形の Subject field（オプショナル）
＃こんな形→	Subject: [Elena:ID] サブジェクト	

●Documentsの改良。特にFAQは前より充実（したはず）

●ひとつのfmlで複数の ML を扱う（２方式）（実は1.1.2.17からある）
・でも 1.2 ではドキュメントでふれてなくてごめんなさい（上と関連）
・前よりもうすこし改良されてます

----------------------------
revision 1.2.0.9	
date: 1994/04/08 09:44:57;

+ entry for members file

----------------------------
revision 1.2.0.8
date: 1994/04/07 09:28:57;

LIBDIR for system (split_and_sendmail)

---
At  Thu, 7 Apr 94 01:36:45  JST

Added an document on AddressMatching Security Level to FAQ
Following to Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>

----------------------------
revision 1.2.0.7
date: 1994/04/06 11:18:54;

guide check code in 3 line check
MX is cut by \s+ (why [ \t\n]+ ?)
welcome

---
At  Mon, 4 Apr 94 13:50:05  JST
Thanks to Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>

Following his opinion, I changed fml-supoort ML to the real ML's which
has auto-registration mechanism.

In addition, using WELCOME_FILE mechanism is added.  

---
At  Mon, 4 Apr 94 04:34:18  JST

ライブラリのインクルード
fml.pl DIR(for config.ph) PERLLIBの置き場所

---
At  Sun, 3 Apr 94 22:59:15  JST

To handle plural ML's by one. 
Close descriptoins are added to FAQ. 
However in this stage, "common library include path" parameters are
not implemented.

---
At  Sun, 3 Apr 94 22:52:13  JST

A log of FAQ FIX are done after Japanese Physics Society in Kyushuu. 

----------------------------
revision 1.2.0.6
date: 1994/04/03 19:21:41;

change of parameters
fml.pl DIR(config.ph) PERLLIB's

----------------------------
revision 1.2.0.5
date: 1994/04/02 18:49:48;

a lot of changes
parsing and header calculus part is all rewritten.
bug fix of \s\n\s+
preserving headers
MIME decode
[] strip or not
HML like subject option
BRACKET variable for [BRACKET:ID} subject

---
At  Thu, 31 Mar 94 11:56:02  JST
Thanks to Hisaaki OGURI <oguri@cse.canon.co.jp>

Attention to the setuid problem and private secret problem. 
I added these points README closely following this suggestion.

---
At  Wed, 30 Mar 94 19:10:50  JST
Thanks to Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>

Attention to Incomplete implementation to handle plural ML's by one
fml.

---
At  Wed, 30 Mar 94 16:02:05  JST
Thanks to Hiroyuki Katayama <kata@rokoh.gen.u-tokyo.ac.jp>

socket.ph 

---
At  Wed, 23 Mar 94 21:31:10  JST
Thanks to Toshio Sengoku <sengoku@panda.intelligent-systems.co.jp>
 <199403230941.SAA06786@axion.phys.titech.ac.jp> 

SunOS Release 4.1.3-JLE1.1.3
#Incomplete lseek call info

---
At  Wed, 23 Mar 94 18:41:52  JST

Following the opinion by Toshio Sengoku
<sengoku@panda.intelligent-systems.co.jp>

$SUBJECT_HML_FORM = 1;（デフォルトは０。hml 1.6形ではない）

---
At  Wed, 23 Mar 94 12:30:58  JST
Thanks to Toshio Sengoku <sengoku@panda.intelligent-systems.co.jp>

Socket.ph 

---
At  Tue, 22 Mar 94 15:56:22  JST
Thanks to <mikami@s42017.hcs.ts.fujitsu.co.jp>
	Sender: mikami@s42003.ss.ts.fujitsu.co.jp

The idea using mimer.pl 
#Historically I have already used them.  

---
At  Tue, 22 Mar 94 00:34:39  JST

結局Parsing, unfolding, folding全部別のコードに変わっ
てしまった。
「基本的にそのまま残す」という方針に切り替わる

例外処理は

１．From_addressというのがmember check, logggin, command modeに使うた
めアドレスのみを切り出したもの。だからコマンドの結果の返送とかは
アドレスのみになっちゃいますが…

２．Summary_Subjectは一行にした後flagが立ってればMIME処理を行なった後
summaryに書きます。

MIME decodingですが、とりあえずperl内でなんとかするヴァージョンを作っ
てみました。

mimer.pl(fj.lang.perlより）
jcode.pl(utasiro@sra 歌代さんのやつ)

---
At  Sat, 19 Mar 94 22:06:11  JST

変更：

$SUPERFLUOUS_HEADERS = 1;	# preserve more header fields

マッチしないヘッダーはbodyにつける（１なら）

$USE_LIBMIME	= 1;		# when use MIME Extension in libMIME>pl

MIME decodeをする。とりあえずsummaryに書くsubjectをdecodeする。
＃一行にしてからdecodeして全部書いてます。subject をちょんぎったりはし
ませんけど…

複数行の保存も前から

    ($Original_From_address) = 
	($StoredMailHeaders =~ /.*From:\s*((.*\n\s+)*.*)\n[\n\S]/io);

にすればできるのはわかっていたんですが、きれいじゃないから採用しなかっ
たんですね
＃だって、この書き方だと$1とか理解してくんないんだもん。ほんとにどの
versionでも動くのか不安で不安で…

$Original_From_addressと$Original_Subjectというのを新たに作って

Original form  -> $Original_Subject       -> 配布の時使う
               -> $Original_From_address  -> 配布の時使う
parsed headers -> $Subject(i.e. one line) -> サマリーファイルに使う

さらに	$USE_LIBMIME	がセットされていれば

	$Subject = &DecodeMimeStrings($Subject);

という部分（sub GetFieldsFromHeader）をdecodeをします。

---
At  Fri, 18 Mar 94 19:34:55  JST

・From_full_addressは形を保って温存。
・Subjectも形を保って温存。
・ただし、summaryへ書く時は
	user nameはFrom_addressからひっこぬく
	subjectはMIME decodeしてから書き込む（モードもつくる）

Preserve the original headers when 
$SUPERFLUOUS_HEADERS = 1;	# preserve more header fields

---
At  Fri, 18 Mar 94 17:03:49  JST
Thanks to doukai@ss.ts.fujitsu.co.jp

My misunderstanding on RFC822. 
Fix 1.2  
Special thanks to the contrituted Patch.

---
At  Fri, 18 Mar 94 12:24:10  JST
Thanks to Manabu Matsui <matsui@moon.ss.ts.fujitsu.co.jp>

My misunderstanding on RFC822. FIX 1.2  

---
At  Thu, 17 Mar 94 05:52:04  JST
Thanks to tsuboy@sowa.is.uec.ac.jp 

Some OS's has incorrect system call e.g. lseek

SunOS4.1.3C + 付属の sendmail + perl4.036

-------------------------------------------
94/03/14
Release Version 1.2 (the same as 1.1.2.17 1994.3.14 version),
contributed to fj.sources
	Message-ID: <FUKACHAN.94Mar15165051@exelion.phys.titech.ac.jp>

●モジュール化（しすぎですかね？）・コマンド群の分離（libfml.pl等）
Configurationsはconfig.phで設定
＃必要な時だけrequire機能を使い組み込む。

●Contribでの補強。まとめ送り用コード等。詳しくは Contrib/README
・まとめ送り
・投票用サーバ
・その他のいろいろなコードの見本（see FAQ, README in contrib)

●activesファイルで%式リレーを制御

●Makefile, Install Program, 
・対話式インストールプログラム EasyConfigure

●現在はC wrapperを使いMaintainerの uid,gidで実行するように設定（デフォー
ルトのインストールではそうなる）
＃hmlではsendmail -fのためだけに必要なdaemonを使うことの解消。
（５．ｘの時代のはなし）

●よく見られるコマンドモードと配布モードの間違いを防ぐため最初の３行以
内に ^#.*$が現れたら自動的にコマンドモードとなり配布しない。
＃日本を前提にしたこの仕様は失敗かもしれない（つまり日本語のメールなら
最初の３行のどこかに＃があってもそれは＃であり#ではないだろうと仮定し
ている）。
＃”３行”は$COMMAND_CHECK_LIMIT = 3;で設定（see config.ph）

●sendmailとはsmtpポートでＩＰＣ（libsmtp.pl）
sendmailコマンドを呼ぶのではなく、プロセス間通信でsendmailへ渡す。
＃IPCはちゃんとesmtpの場合でもうけとるように気を配る(for sendmail 8.x)

●ロック・アルゴリズムはflockとpidを使う２種類（fml.pl liblock.pl）

●Toggle flag configurations
・メンバーチェックをするか否か？（する＝１）
	「メンバーチェックをするサーバ」と
	「自動登録しながら走るサーバ」
・ロックはflockを使うか、PID式を使うか？（flock＝１）
・サーバーテスト用デバッグモード（debug mode = 1）
・コマンドの書き方について。# get 1 と #get 1は同じもの等。

●アドミンコマンド群の削除（libfml.pl）
＃使わないし、remoteで ML サーバはやるべきではない（何かあった時のため
にも）

●ｗｈｏｉｓ等実績のないコマンドの削除（libfml.pl）
＃使わんって（やりたいなら専用のをつかえばいいでしょう）

●ｍｇｅｔ（まとめてget :-)）…付け加えたコマンド（libfml.pl）
“# mget 正規表現 送り返されるメールの送り間隔”
による大規模な過去のメール取り寄せ機能
送り返しはそれようのコマンドへ（split_and_sendmail.pl）
＃ftpmailのようなもの。ＩＰの人だけならpasswdつきのanonymous ftp？:-) 
にする方がいいとおもう。

●loggingはできるだけする（余計かもしれなくても）。
（こまめに消して下さい（make cleanで消えます））
＃なんかあった時便利です。ごみごみするけどメリットはあるとおもう。

●リレーやＭＸについては
	ファイルFAQ の 5. system tuning
を見て下さい

At  Mon, 14 Mar 94 23:47:03  JST
Thanks to kuroda <kuroda@ais.kudpc.kyoto-u.ac.jp>

Comments on README's 

Fix INSTALL to describe how to regist to actives and members

-------------------------------------------
94/04/10
Release Version 1.2.1, contributed to fj.sources 
	Message-ID: <FUKACHAN.94Apr10222414@exelion.phys.titech.ac.jp>
	Message-ID: <FUKACHAN.94Apr10222520@exelion.phys.titech.ac.jp>

●ヘッダフィールドの形の保存
（fml 1.2では手抜きといっていた部分ですね。これによりサーバのプロセス
の前半がかなり違います。今度は縦書きSubjectも出来る:-)）

●MIME decoding機能（オプショナル）
SubjectはMIME decodeをしてsummaryファイルに記録しておく
＃using mimer.pl and jcode.pl

●サーバで予定していないヘッダフィールドは保存しておいて後でつける
（オプショナル）

●hml 1.6 形の Subject field（オプショナル）
＃こんな形→	Subject: [Elena:ID] サブジェクト	

●Documentsの改良。特にFAQは前より充実（したはず）

●ひとつのfmlで複数の ML を扱う（２方式）（実は1.1.2.17からある）
・でも 1.2 ではドキュメントでふれてなくてごめんなさい（上と関連）
・前よりもうすこし改良されてます

---
fml.pl revision 1.2	locked by: fukachan;
date: 1994/03/14 19:07:29;  
The release version
1.1.2.17 is the same as 1.2

---
fml.pl revision 1.1.2.17	locked by: fukachan;
date: 1994/03/10 15:45:13;  
when "# guide" from not member, both check and no check routine send back
guide file.
In this case NoCheckAndAdd routine do not add him to the member.
GUIDE_FILE requires special treatment.

---
At  Wed, 9 Mar 94 23:57:49  JST

1.1.2.17 Release?

---
At  Wed, 9 Mar 94 23:10:12  JST
Thanks to kuroda <kuroda@ais.kudpc.kyoto-u.ac.jp>

Return the Guide when requesteed from unknown users. 
This is a bug that I forget the implementation.

---
At  Wed, 9 Mar 94 20:38:48  JST
Thanks to kuroda <kuroda@ais.kudpc.kyoto-u.ac.jp>

FIX: When the Authentication fails, return $DENY_FILE not $GUIDE_FILE
README FIX
Default should be  $ML_MEMBER_CHECK = 1;
Makefile FIX

---
At  Sat, 5 Mar 94 23:44:48  JST

1.1.2.16 Release(private communication)

---
At  Sat, 5 Mar 94 15:10:53  JST
Thanks to kuroda <kuroda@ais.kudpc.kyoto-u.ac.jp>

Syntax Error of README
Syntax Error of EasyConfigure.*
README FIX

---
fml.pl revision 1.1.2.16
date: 1994/03/02 16:18:08;  
mon + 1 in sub InitConfig (fix)
add: CommandMode check for CONTORL_ADDRESS
see also config.ph
Copyright 1994 are added to *pl *ph files.

--------
Date: Tue, 15 Feb 94 10:08:14 JST
From: yamane@ngi.co.jp (Satoru Yamane)

Date: Wed, 20 Apr 1994 16:47:16 +0900
Thanks to  =?ISO-2022-JP?B?GyRCQ3Y8bRsoQg==?=  =?ISO-2022-JP?B?GyRCMVEbKEI=?=
	=?ISO-2022-JP?B?GyRCSVcbKEI=?=  <ikari@gamera.okilab.oki.co.jp>

Point out of bugs in libhml 0.3.

---
fml.pl revision 1.1.2.15
date: 1993/12/21 14:08:49;  
lock call is changed to the location after getting fields from header
for general purpose(schwalben chor ML)
small bug fix
indent
I think the flock uses sequence file is a problem yet.
but it is a symbole of process only.

---
fml.pl revision 1.1.2.14
date: 1993/11/26 17:05:49;  
remove setup.pl
comment on errors-to

---
fml.pl revision 1.1.2.13
date: 1993/11/22 20:40:17;  
indent in GetFielsFromHeader
flock and lock asymmetry is modified
ID increment is done in Distribute
close(LOCK) is subject perl implementation
When Command Mode close(LOCK) is done implecitly in exit

---
fml.pl revision 1.1.2.12
date: 1993/11/20 19:09:10;  
fix of syntax error of 11, else
big bug of flock system call for the change of file descriptor in processing
it changes the file descriptor locked by flock, it causes fatal error
implement is changed in Distribute
IncrementID is simple and the saving is unified to
printf LOCK $ID form

---
fml.pl revision 1.1.2.11
date: 1993/11/08 07:32:56;  
check of membercheck code is modified to case statement
in addition if member check is failed, unlock as CHECK flag
sub HeaderFiltering -> sub Parsing ( strange word )
wasn't it quere?

---
fml.pl revision 1.1.2.10
date: 1993/11/07 16:30:56;  
if flock, die
return values check
index is called once in HeaderFiltering
Copyright
indent

---
fml.pl revision 1.1.2.9
date: 1993/11/04 15:50:44;  
ML_MEMBER_CHECK flag is added

---
fml.pl revision 1.1.2.8
date: 1993/11/04 09:30:11;  
Parameter except for DIR are moved to config.pl

---
fml.pl revision 1.1.2.7
date: 1993/11/04 07:40:04;  
subject match bug fixed

---
fml.pl revision 1.1.2.6
date: 1993/11/04 06:26:57;  
fix sequence file bug(flock always increments)
lock and unlock all routines are moved to liblock.pl
split is fixed to split(//) forms

---
fml.pl revision 1.1.2.5
date: 1993/11/01 16:48:25;  
move unlock to liblock.pl
return 0 in the last of AddressMatching
fix Errors-to
COMMAND_CHECK_LIMIT
is moved to config.ph and becomes global variables.

---
fml.pl revision 1.1.2.4
date: 1993/10/31 14:26:42;  
Lock library using process ID is divided to liblock.pl
this cuts 20 % of fml.pl.
about 64 / 400 lines

---
fml.pl revision 1.1.2.3
date: 1993/10/31 09:24:43;  
fixes in HeaderFiltering about BodyLines
with this fix, a little modification for libfml.pl

---
fml.pl revision 1.1.2.2
date: 1993/10/21 16:45:21;  
filed -> field
return value is 1 for MLMemberNoCheck..
require above condition.

---
fml.pl revision 1.1.2.1
date: 1993/10/21 12:48:06;  
flock routine is fixed(seek)
($_) not match
indentation in HeaderFiltering etc...
bug fixed, e.g. ID...
Sendmail or SendFile has a subject with $ML_FN

---
fml.pl revision 1.1.2.0
date: 1993/10/19 08:19:31;  
a lot of bug-fixed
add a lock algorithm using flock system call
but consider using SEQUENCE_FILE or not is a problem
the release version for CPCMP ML

---
fml.pl revision 1.1.1.2	locked by: fukachan;
date: 1993/10/01 20:59:44;  
left problems are only
check for MX
Membercheck
addresscheck routine
and
in libcommand.pl, on, off and bye
Added features:
ls -> system call using readdir etc...
Lock algorithm is checked.
small bug-fix
indent is a little modified.
MLMemberCheck and MLNoMemberCheckAndAdd
add a lot of comment
regular expressions are modified to /.../o if possible.
already alpha test stage for fml 1.2

---
fml.pl revision 1.1.1.1
date: 1993/08/12 16:19:04;  
1.1.1.1 is the final revision of modified hml
The next revision will be not modified, the different revision which is constructed from the beginning.

---
fml.pl revision 1.1.1.1.1.1
date: 1993/09/08 18:11:46;  
revege for the change for On Memory implementation

---
fml.pl revision 1.1
date: 1993/08/09 15:59:48;  
Initial revision

The first season of 1993, in this stage, I take apart from hml codes
and generate the new perl library as "fml".
The maintenance below in 1993 is for some ML's servers, not related
with the desing and implementasion of the fml perl library.

-------------------------------------------
Pre History:

The fundamental design of the server processes
hml 1.6 (1991/05/01)	hirano@tkl.iis.u-tokyo.ac.jp

1.6++ 92/06    tsubai@phys.titech.ac.jp modified this script
1.6.1 92/10/17 fukachan@phys modified for schwalben chor ML
1.7   93/02/06 fukachan@phys.titech.ac.jp 
      modified for backup-server for YP-ML
1.7.1 93/02/09 fukachan@phys.titech.ac.jp 
       implementation of tar, compress and uuencode; as a part of mget
1.7.2 93/02/11 fukachan@phys.titech.ac.jp 
       a little modified to record a log etc...
1.7.3 93/03/10 fukachan@phys.titech.ac.jp 
       not queueing $QUEUE_FLUSH_COMMAND = '/usr/lib/sendmail -oi -q'
       and a little modification for another ML server

# $Id: RELEASE_NOTES.wix,v 1.24 2000/12/03 09:36:46 fukachan Exp $
# Copyright (C) 1993-2000 Ken'ichi Fukamachi
#          All rights reserved. 
#               1993-1996 fukachan@phys.titech.ac.jp
#               1996-2000 fukachan@sapporo.iij.ad.jp
# 
# FML is free software; you can redistribute it and/or modify
# it under the terms of GNU General Public License.
# See the file COPYING for more details.
